<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
		xmlns:xslout="http://www.hursley.ibm.com/hsandt/et/compile"
   	xmlns:outout="http://www.w3.org/2000/XSL/Transform">

<xsl:output method="xml" indent="yes"/>
<xsl:namespace-alias stylesheet-prefix="xslout" result-prefix="xsl"/>

<!-- create a variable called global that forms the string {$idName} -->
<xsl:variable name='global' select="concat('{','$','idName','}')" />

<!-- this template matches the root of the document -->
<xsl:template match="/">
<xslout:stylesheet version="1.0">
<xslout:output method="xml" />
<xslout:namespace-alias stylesheet-prefix="outout" result-prefix="xsl"/>

	<!-- the following rules are all "outer" rules that will be imported -->
  <xslout:template match="input[@id='dmessage' or @id='derror']">
  <xslout:variable name='idName' select='./@id' />
    <xslout:copy>
      <xslout:copy-of select="@*" />
		<outout:attribute name='value'>
		  <outout:apply-templates select="root/{$global}" />
	 	</outout:attribute>
    </xslout:copy>
  </xslout:template>

<!-- this rule will add dynamic data to a paragraph directly following
any properly id'ed break tag it finds -->
<xslout:template match="br[@id='dmessage' or @id='derror' or @id='dresult']" >
  <xslout:variable name='idName' select='./@id' />
  <xslout:copy>
    <xslout:copy-of select="@*" /> <!-- copy all the attributes -->
  </xslout:copy>
  <xslout:element name="p">
    <outout:apply-templates select="root/{$global}" />
  </xslout:element>
</xslout:template>

<!-- this rule creates a special rule to handle labels, but that rule does nothing, and is just a bare skeleton -->
<xslout:template match="label[@id='dmessage' or @id='derror' or @id='dresult']">
  <xslout:variable name='idName' select='./@id' />
  <xslout:copy>
    <xslout:copy-of select="@*" /> <!-- copy all the attributes -->
  </xslout:copy>
</xslout:template>


<!-- this template WILL match all html text and copy it -->
  <xslout:template match='*|@*|text()'>
    <xslout:copy>
    <xslout:apply-templates select="*|@*|text()"/>
  </xslout:copy>
</xslout:template>


  </xslout:stylesheet>
</xsl:template>

</xsl:stylesheet>

















