<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = wait page stylesheet
 *
 *  Function: renders the body of the laptop wait page
 *
 *
 *  Dependencies: See import/include statements.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  02/Jun/24 Remove cancel button                                  @d234368hab
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  02/Nov/25 Change color of links to be black                     @d261057hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes"/>

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_wait_message" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

<!-- Start of rule to match on root -->
  <outout:template match="/">

  <body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">


  <table width="100%" border="0" cellspacing="3" cellpadding="0">
    <tr valign="top">
      <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
      <td width="100%"><b><font size="2" color="#000000">
  <outout:value-of select="$breadcrumbs" />
  </font></b><br/>
        <img src="../imgs/transDot.gif"  alt="" width="763" height="1"/> <br/>
        <img src="../imgs/transDot.gif"  alt="" width="763" height="1"/></td>
      <td width="5" height="20"><img src="../imgs/transDot.gif"  alt="" width="5" height="20"/></td>
    </tr>
    <tr>
      <td>&#160;</td>
      <td bgcolor="#000066">
        <table width="100%" border="0" cellspacing="2" cellpadding="0">
          <tr>
            <td colspan="2" bgcolor="#FFFFFF">
              <table width="100%" border="0" cellpadding="10">
                <tr>
                  <td width="100%" valign="top">

                    <table width="100%" border="0" cellspacing="2" cellpadding="0">
  				  <tr>
  				  	<td><img src="../imgs/transDot.gif" width="1" height="40" alt="" border="0"/></td>
  				  </tr>
  				  <tr>
  				  	<td align="center"><img src="../imgs/wait_animation.gif" alt="" border="0"/><br/>
  <img src="../imgs/transDot.gif" width="1" height="15" alt="" border="0"/><br/><font size="2"><b>
  <outout:value-of select="$ccwa_wait_message" />
  </b></font></td>
  				  </tr>
  				  <tr>
  				  	<td><img src="../imgs/transDot.gif" width="1" height="40" alt="" border="0"/></td>
  				  </tr>
  				  <tr>
  				  	<td></td>
  				  </tr>
  				  </table>

                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </td>
      <td>&#160;</td>
    </tr>
  </table>


  </body></outout:template>
  <outout:template match="root/dmessage">
  <outout:copy-of select="text()"/></outout:template>
  <outout:template match="root/derror"><outout:copy-of select="text()"/>
  </outout:template><outout:template match="root/dresult"><outout:copy-of select="text()|@*|*"/>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

  <outout:template match="ibm/docs">

    <comment class="stylesheet">

      <name>wait</name>
      <desc>Displays the wait page</desc>

      <param>
        <name>breadcrumbs</name>
        <desc></desc>
      </param>
      <param>
        <name>ccwa_wait_message</name>
        <desc>mri string</desc>
      </param>
      <param>
        <name>req_uri_param</name>
        <desc>request uri param name</desc>
      </param>
      <param>
        <name>sid_param</name>
        <desc>session id param name</desc>
      </param>
      <param>
        <name>cs_param</name>
        <desc>current state param name</desc>
      </param>
      <param>
        <name>event_param</name>
        <desc>event param name</desc>
      </param>
      <param>
        <name>cs_value</name>
        <desc>current state value</desc>
      </param>
      <param>
        <name>sid_value</name>
        <desc>session id value</desc>
      </param>

    </comment>
  </outout:template>

</outout:stylesheet>
