<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = change connection
 *
 *  Function: used in combo with connections stylesheet
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  02/Jan/24 Initial Version                                       @f206514
 *  02/Feb/17 Add persistant data                                   @d211838hab
 *  02/Apr/08 Add target access key param                           @d223561hab
 *  02/May/11 Add cancel button                                     @d226629hab
 *  02/May/19 Redo button placement                                 @d234498hab
 *  02/May/21 Make all links black                                  @d231712hab
 *  02/Aug/08 Invoke dmessage to display any messages               @d249510hab
 *  02/Sep/26 Incorporate old connections.xsl into this stylesheet  @d255538hab
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  03/Jan/16 Meet accessibility requirements ('*'=mandatory field) @d259663alp
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes"/>

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_change_connection_operation" />
  <outout:param name="ccwa_change_connection_connection" />
  <outout:param name="ccwa_change_connection_system" />
  <outout:param name="ccwa_change_connection_label" />
  <outout:param name="ccwa_change_connection_ok" />
  <outout:param name="ccwa_change_connection_cancel" />
  <outout:param name="ccwa_red_asterisk_alt" />

<!-- these params are obsolete -->
  <outout:param name="ccwa_change_connection_uid_prompt" />
  <outout:param name="ccwa_change_connection_userid" />
  <outout:param name="ccwa_change_connection_password" />
<!-- end of obsolete params -->

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />
  <outout:param name="ccwa_connections_close_connection" />
  <outout:param name="data_param" />

  <!-- EVENTS -->
  <!-- "close_connection" --> <!-- used as an event value -->
  <!-- "use_connection" --> <!-- used as an event value -->

  <!-- Start of rule to match on root -->
  <outout:template match="/">
    <body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">
      <table width="100%" border="0" cellspacing="3" cellpadding="0">
        <tr valign="top">
          <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
          <td width="*" colspan="3"><b><font size="2" color="#000000">
            <outout:call-template name="form_bctrail" >
              <outout:with-param name="string">
                <outout:value-of select="$breadcrumbs" />
              </outout:with-param>
            </outout:call-template>
          </font></b><br/><img src="../imgs/transDot.gif" alt="" width="763" height="10"/></td>
        </tr>
        <tr>
          <td>&#160;</td>
          <td bgcolor="#000066">
            <table width="100%" border="0" cellspacing="2" cellpadding="0">
              <tr>
                <td>
                  <table bgcolor="#CCCCCC" width="150" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
                    </tr>
                    <tr>
                      <td align="center" nowrap="true"><font size="2"><b>
                        <outout:value-of select="$ccwa_change_connection_operation" />
                      </b></font></td>
                    </tr>
                  </table>
                </td>
                <td width="*"/>
                <td>
                  <table bgcolor="#CCCCCC" width="150" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
                    </tr>
                    <tr>
                      <td align="center" nowrap="true"><font size="2"><b>
                        <outout:value-of select="$ccwa_change_connection_connection" />
                      </b></font></td>
                    </tr>
                  </table>
                </td>
                <td width="*"/>
              </tr>
              <tr>
                <td colspan="2" bgcolor="#FFFFFF" width="50%" valign="top">
                  <table width="100%" border="0" cellpadding="10">
                    <tr>
                      <td width="100%">
                        <form name="form1" method="post" action="{$req_uri_param}">
                          <table width="100%" cellspacing="3" cellpadding="0">
                            <outout:apply-templates select="root/derror" />
                            <outout:apply-templates select="root/dmessage" />
                            <tr>
                              <td><b><font size="2" color="#FF0000">
                                <img src="../imgs/red_asterisk.gif" alt="{$ccwa_red_asterisk_alt}" />
                                </font><font size="2">
                                <label for="selectSystem">
                                <outout:value-of select="$ccwa_change_connection_system" />
                                </label>
                                </font></b><br/>
                                <select id="selectSystem" name="select">
                                  <option selected="true"> </option>
                                  <option>------------------------------</option>
                                  <outout:apply-templates select="root/dresult" />
                                </select>
                                <img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0" />
                              </td>
                            </tr>
                            <tr>
                              <td><img src="../imgs/transDot.gif" alt="" width="1" height="80"/></td>
                            </tr>
                            <outout:call-template name='makeStandardHiddenFields'>
                              <outout:with-param name='event' select="'btnClick'" />
                            </outout:call-template>
                            <outout:call-template name="makeHiddenFields" />
                            <tr>
                              <td>&#160;</td>
                            </tr>
                            <tr>
                              <td>&#160;</td>
                              <td>&#160;</td>
                            </tr>
                            <tr>
                              <td>
                                <input type="submit" name="okBtn">
                                  <outout:attribute name="value">
                                    <outout:value-of select="$ccwa_change_connection_ok"/>
                                  </outout:attribute>
                                </input>&#160;
                                <input type="submit" name="cancelBtn">
                                  <outout:attribute name="value">
                                    <outout:value-of select="$ccwa_change_connection_cancel"/>
                                  </outout:attribute>
                                </input>
                              </td>
                            </tr>
                          </table>
                        </form>
                      </td>
                    </tr>
                  </table>
                </td>
                <td colspan="2" bgcolor="#FFFFFF" width="50%" valign="top">
                  <table width="100%" border="0" cellpadding="10">
                    <tr>
                      <td width="100%">
                        <table width="100%" cellspacing="4" cellpadding="0">
                          <tr>
                            <td><font size="2"><b>
                              <outout:value-of select="$ccwa_change_connection_label" />
                              </b>
                            </font><br/></td>
                            <td>&#160;</td>
                          </tr>
                          <tr>
                            <td nowrap="true">
                              <table bgcolor="Silver" width="100%" cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                  <img src="../imgs/transDot.gif" width="1" height="10" alt="" border="0"/>
                                </tr>
                                <!-- display the list of connections -->
                                <outout:apply-templates select="root/connList/tr" />
                              </table>
                            </td>
                            <td>&#160;</td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
          <td>&#160;</td>
        </tr>
      </table>
    </body>
  </outout:template>

  <outout:template match="root/dmessage">
    <tr><td>
    <font size="2" color="#FF0000">
    <outout:copy-of select="text()"/>
    </font>
    </td></tr>
  </outout:template>

  <outout:template match="root/derror">
    <tr><td>
    <font size="2" color="#FF0000">
    <outout:copy-of select="text()"/>
    </font>
    </td></tr>
  </outout:template>

  <outout:template match="root/dresult">
    <outout:copy-of select="text()|@*|*"/>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

  <outout:template name='makeHiddenFields'>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$target_access_key'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$target_access_key_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cc_selected_function_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cc_selected_function_value'/>
      </outout:attribute>
    </input>
  </outout:template>

  <outout:template match="root/connList/tr">
    <outout:choose>
      <outout:when test="position() &gt; 1">
        <tr>
          <td><b><font size="2">
            <a>
              <outout:call-template name="linkString">
                <outout:with-param name="event">
                  <outout:value-of select="'use_connection'" />
                </outout:with-param>
                <outout:with-param name="data">
                  <outout:value-of select="@name" />
                </outout:with-param>
              </outout:call-template>
              <outout:value-of select="@value" />
            </a>
          </font></b> </td>
          <td align="right">
            <a>
              <outout:call-template name="linkString">
                <outout:with-param name="event">
                  <outout:value-of select="'close_connection'" />
                </outout:with-param>
                <outout:with-param name="data">
                  <outout:value-of select="@name" />
                </outout:with-param>
              </outout:call-template>
  
              <font color="#000000">
                <outout:value-of select="$ccwa_connections_close_connection" />
              </font>
            </a>
          </td>
        </tr>
      </outout:when>
      <outout:otherwise>
        <tr>
          <td><b><font size="2">
            <a>
              <outout:call-template name="linkString">
                <outout:with-param name="event">
                  <outout:value-of select="'use_connection'" />
                </outout:with-param>
                <outout:with-param name="data">
                  <outout:value-of select="@name" />
                </outout:with-param>
              </outout:call-template>
              <outout:value-of select="@value" />
            </a>
          </font></b> </td>
          <td></td>
        </tr>
      </outout:otherwise>
    </outout:choose>
  </outout:template>

  <outout:template name='linkString'>
    <outout:param name='event'/>
    <outout:param name='data' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='data_pair'>
      <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>

    <outout:attribute name='href'>
      <outout:value-of select="concat( $standard_params, $target_pair, $data_pair, $function_pair )"/>
    </outout:attribute>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
            </outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

  <outout:template name='bctLinkString'>
    <outout:param name='link' />
    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:attribute name='href'>
      <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
    </outout:attribute>
  </outout:template>

</outout:stylesheet>