<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = Select system stylesheet
 *
 *  Function: displays a screen that displays the last chosen system and
 *            a list of systems available for selection. It allows the
 *            user to select one of the systems to login to in a different
 *            screen.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  02/Feb/08 Initial Version                                        @f210126cmw
 *  02/Feb/12 Add dynamic link handling                              @d210641hab
 *  02/Feb/17 Add persistant data                                    @d211838hab
 *  02/Feb/27 Change variable tk_prefix to global parameter          @d215525hab
 *  02/Mar/23 Add Cancel link                                        @d222688hab
 *  02/Aug/18 Switch the order of values to prevent defects          @d248845hab
 *
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="ccwa_pda_choose_system_prompt" />
  <outout:param name="ccwa_pda_choose_system_system" />
  <outout:param name="ccwa_pda_choose_system_tools" />
  <!-- additional, late mri key for cancel button -->
  <outout:param name="ccwa_pda_login_system_cancel" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="data_param" />
  <outout:param name="via_param" />

  <outout:param name="tk_prefix" /> <!-- the framework toolkit prefix -->

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- EVENTS -->
  <!-- "goto" -->
  <!-- "system_select" -->
  <!-- "cancel" -->

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <outout:value-of select="$ccwa_pda_choose_system_system" />
      <br /><br /><br />
      <hr />
      <b>
        <outout:value-of select="$ccwa_pda_choose_system_prompt" />
      </b>
      <br /><br />
      <outout:apply-templates select="root/dresult" />
      <form name="login" method="post" action="{$req_uri_param}">

        <input type="submit" name="cancelBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_login_system_cancel" />
          </outout:attribute>
        </input>

        <outout:call-template name='makeStandardHiddenFields'>
          <outout:with-param name='event' select="'cancel'" />
        </outout:call-template>
        <outout:call-template name='makeHiddenFields' />

      </form>

      <hr />
      <a>
        <outout:call-template name="toolsQueryString">
          <outout:with-param name="event">
            <outout:value-of select="'goto'" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="$ccwa_pda_choose_system_tools" />
      </a>
    </body>

  </outout:template>

  <outout:template match="root/dresult/option">
    <a>
      <outout:call-template name="linkString">
        <outout:with-param name="event">
          <outout:value-of select="'system_select'" />
        </outout:with-param>
        <outout:with-param name="data" >
          <outout:value-of select="text()" />
        </outout:with-param>
      </outout:call-template>
      <outout:copy-of select="text()"/>
    </a>
    <br />
  </outout:template>


  <outout:template name='toolsQueryString'>
    <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='via_pair'>
      <outout:value-of select="concat( '&amp;', $via_param, '=', $tk_prefix )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair, $via_pair )"/>
    </outout:attribute>
  </outout:template>

  <outout:template name='linkString'>
    <outout:param name='event'/>
    <outout:param name='data' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='data_pair'>
      <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair, $data_pair )"/>
    </outout:attribute>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
	</outout:template>

</outout:stylesheet>



