<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = Select System Drive stylesheet
 *
 *  Function: allows a user to select a drive in a system
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE      DESCRIPTION                                             S&D Code
 *  02/Feb/24   Initial Version                                      @f214306cmw
 *  02/Apr/08 Add target access key param                            @d223561hab
 *  02/May/13   Display BCT in bold                                  @d232504cmw
 *  02/Jun/19 Remove links on bread crumb trail                     @d239217hab
 *
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->

<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="breadcrumbs" />

  <outout:param name="ccwa_pda_choose_system_drive_prompt" />
  <outout:param name="ccwa_pda_choose_system_drive_system" />
  <outout:param name="ccwa_pda_choose_system_drive_change" />
  <outout:param name="ccwa_pda_choose_system_drive_drive" />
  <outout:param name="ccwa_pda_choose_system_drive_cancel" />

  <outout:param name="system_value" />

  <outout:variable name='tk_prefix' /> <!-- the framework toolkit prefix -->

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="data_param" />

  <!-- EVENTS -->
  <!-- "change_system" -->
  <!-- "drive_select" -->

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <b>
      <outout:call-template name="form_bctrail" >
        <outout:with-param name="string">
          <outout:value-of select="$breadcrumbs" />
        </outout:with-param>
      </outout:call-template>
      </b>
      <hr />
      <outout:value-of select="$ccwa_pda_choose_system_drive_system" />
      &#160;
      <outout:value-of select="$system_value" />
      &#160;
      <a>
        <outout:call-template name="linkString">
          <outout:with-param name="event">
            <outout:value-of select="'change_system'" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="$ccwa_pda_choose_system_drive_change" />
      </a>
      <br />
      <outout:value-of select="$ccwa_pda_choose_system_drive_drive" />
      <hr />
      <b>
        <outout:value-of select="$ccwa_pda_choose_system_drive_prompt" />
      </b>
      <br /><br />
      <outout:apply-templates select="root/dresult" />
      <form name="login" method="post" action="{$req_uri_param}">
        <input type="submit" name="cancelBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_choose_system_drive_cancel" />
          </outout:attribute>
        </input>

        <outout:call-template name='makeStandardHiddenFields'>
          <outout:with-param name='event' select="'cancel'" />
        </outout:call-template>

        <outout:call-template name='makeHiddenFields' />

      </form>
    </body>

  </outout:template>

  <outout:template match="root/dresult/option">
    <a>
      <outout:call-template name="linkString">
        <outout:with-param name="event">
          <outout:value-of select="'drive_select'" />
        </outout:with-param>
        <outout:with-param name="data" >
          <outout:value-of select="text()" />
        </outout:with-param>
      </outout:call-template>
      <outout:copy-of select="text()"/>
    </a>
    <br />
  </outout:template>

  <outout:template name='queryString'>
    <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair, $target_pair )"/>
    </outout:attribute>
  </outout:template>

  <outout:template name='linkString'>
    <outout:param name='event'/>
    <outout:param name='data' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='data_pair'>
      <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $data_pair, $function_pair, $target_pair )"/>
    </outout:attribute>

  </outout:template>


  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
	</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <outout:variable name="label">
            <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
          </outout:variable>
          <outout:value-of select="$label" />
          <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

</outout:stylesheet>
