<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = connections
 *
 *  Function: used in combo with change-connection stylesheet
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  02/Jan/24 Initial Version                                       @f206514
 *  02/Feb/17 Add persistant data                                   @d211838hab
 *  02/Feb/21 Fix display of connections to show the text           @d213955hab
 *  02/Mar/30 Fix linkString rule to add event value                @d224161hab
 *  02/Apr/02 Rewrite dresult template to handle <tr> elements      @d221989hab
 *  02/Apr/08 Add target access key param                           @d223561hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<xslout:stylesheet xmlns:outout="http://www.w3.org/2000/XSL/Transform"
xmlns:xslout="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xslout:output method="xml"/>

  <xslout:namespace-alias result-prefix="xslout" stylesheet-prefix="outout"/>

  <xslout:template match="/html">
    <outout:stylesheet version="1.0">
      <outout:output method="xml" omit-xml-declaration="yes"/>
      <xslout:comment> PARAMETER DECLARATION AREA </xslout:comment>

      <outout:param name="ccwa_connections_close_connection" />

      <outout:param name="cc_selected_function_param" />
      <outout:param name="cc_selected_function_value" />

      <!-- target_access_key is used to uniquely identify the requested target access -->
      <outout:param name="target_access_key" />
      <outout:param name="target_access_key_value" />

      <outout:param name="req_uri_param" />
      <outout:param name="sid_param" />
      <outout:param name="cs_param"  />
      <outout:param name="event_param" />
      <outout:param name="cs_value" />
      <outout:param name="sid_value" />
      <outout:param name="data_param" />

      <!-- EVENTS -->
      <!-- "close_connection" --> <!-- used as an event value -->
      <!-- "use_connection" --> <!-- used as an event value -->

      <xslout:comment> Start of rule to match on root </xslout:comment>
      <outout:template match="/">
        <xslout:apply-templates />
      </outout:template>

      <outout:template match="root/dmessage">
        <outout:copy-of select="text()"/>
      </outout:template>

      <outout:template match="root/derror">
        <outout:copy-of select="text()"/>
      </outout:template>

      <outout:template match="root/dresult/tr">
	        <outout:choose>
	          <outout:when test="position() &gt; 1">
        		  <tr>
        	      <td><b><font size="2">
                  <a>
              			<outout:call-template name="linkString">
              				<outout:with-param name="event">
                        <outout:value-of select="'use_connection'" />
                    	</outout:with-param>
              				<outout:with-param name="data">
                        <outout:value-of select="@name" />
                    	</outout:with-param>
              			</outout:call-template>
                    <outout:value-of select="@value" />
                  </a>
                </font></b> </td>
        	      <td align="right">
          	      <a>
              			<outout:call-template name="linkString">
              				<outout:with-param name="event">
                        <outout:value-of select="'close_connection'" />
                    	</outout:with-param>
              				<outout:with-param name="data">
                        <outout:value-of select="@name" />
                    	</outout:with-param>
              			</outout:call-template>

          	        <font color="#000000">
                      <outout:value-of select="$ccwa_connections_close_connection" />
                    </font>
                  </a>
                </td>
        	    </tr>
        	  </outout:when>
        	  <outout:otherwise>
        		  <tr>
        	      <td><b><font size="2">
                  <a>
              			<outout:call-template name="linkString">
              				<outout:with-param name="event">
                        <outout:value-of select="'use_connection'" />
                    	</outout:with-param>
              				<outout:with-param name="data">
                        <outout:value-of select="@name" />
                    	</outout:with-param>
              			</outout:call-template>
                    <outout:value-of select="@value" />
                  </a>
                </font></b> </td>
                <td></td>
              </tr>
        	  </outout:otherwise>
          </outout:choose>

      </outout:template>

    	<outout:template name='linkString'>
    	  <outout:param name='event'/>
    	  <outout:param name='data' />

        <outout:variable name='standard_params'>
          <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
        </outout:variable>
        <outout:variable name='data_pair'>
          <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
        </outout:variable>
        <outout:variable name='function_pair'>
          <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
        </outout:variable>
        <outout:variable name='target_pair'>
          <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
        </outout:variable>

    	  <outout:attribute name='href'>
      	  <outout:value-of select="concat( $standard_params, $target_pair, $data_pair, $function_pair )"/>
    	  </outout:attribute>
    	</outout:template>

    </outout:stylesheet>

  </xslout:template>

  <xslout:template match="connections" >
    <outout:apply-templates select="root/dresult" />
  </xslout:template>

  <xslout:template match="*|@*|text()|comment()">
    <xslout:copy>
     <xslout:apply-templates select="*|@*|text()"/>
    </xslout:copy>
  </xslout:template>


</xslout:stylesheet>





