<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = Interactive home stylesheet
 *
 *  Function: displays a screen that shows the interactive page
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE      DESCRIPTION                                          S&D Code
 *  02/Feb/24   Initial Version                                     @f214306cmw
 *  02/Apr/08   Add target access key param                         @d223561hab
 *  02/Apr/18   Fix stylesheet for proper display                   @d228143cmw
 *  02/Apr/24   Fix event values & links                            @d226203hab
 *  02/Jun/03   Don't display DB Change link if Instance is blank   @d236521hab
 *  02/Jun/06   Fix blank instance/db to display as 5 dashes        @d235277hab
 *  02/Jul/10   Show details link on OS command system name         @d243431hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_pda_interactive_home_change" />
  <outout:param name="ccwa_pda_interactive_home_sql" />
  <outout:param name="ccwa_pda_interactive_home_scripts" />
  <outout:param name="ccwa_pda_interactive_home_os" />
  <outout:param name="ccwa_pda_interactive_home_signoff" />
  <outout:param name="ccwa_pda_interactive_home_system" />
  <outout:param name="ccwa_pda_interactive_home_instance" />
  <outout:param name="ccwa_pda_interactive_home_database" />
  <outout:param name="ccwa_pda_interactive_home_connections" />
  <outout:param name="ccwa_pda_interactive_home_tools" />
  <outout:param name="ccwa_pda_interactive_home_help" />
  <outout:param name="ccwa_pda_interactive_home_subsystem" />

  <outout:param name="system_value" />
  <outout:param name="instance_value" />
  <outout:param name="database_value" />
  <outout:param name="subsystem_value" />

  <outout:param name="sql_view" select="'no'"/>  <!-- is 'yes' if the user chose to execute sql/db2 commands -->
  <outout:param name="scripts_view" select="'no'"/> <!-- is 'yes' if user chose to execute scripts -->
  <outout:param name="os_view" select="'no'"/>   <!-- is 'yes' if user wants to execute os commands -->
  <outout:param name="os390_view" select="'no'" /> <!-- is 'yes' if accessing os390 system -->

  <!-- EVENTS used on the function links -->
  <outout:param name="function_select_sql" />
  <outout:param name="function_select_script" />
  <outout:param name="function_select_os" />
	<outout:param name="help_event_value" />        <!-- defines event for Help -->

  <outout:param name="system_value_key" /> <!-- used as a hidden field to re-construct system name data -->
  <outout:param name="instance_value_key" /> <!-- used as a hidden field to re-construct instance name data -->
  <outout:param name="database_value_key" /> <!-- used as a hidden field to re-construct instance name data -->

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="data_param" />
  <outout:param name="via_param" />
  <outout:param name="signoff" /> <!-- used for an event value -->
  <outout:param name="cc_prefix" /> <!-- the framework toolkit prefix -->
  <outout:param name="fw_prefix" />

  <outout:variable name="dashes" select="'-----'" />

  <!-- EVENTS -->
  <!-- "goto" -->
  <!-- "change_system" -->
  <!-- "change_instance" -->
  <!-- "change_database" -->
  <!-- "change_subsystem" -->
  <!-- "function_select" -->
  <!-- "change_connection" -->

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <b>
      <outout:call-template name="form_bctrail" >
        <outout:with-param name="string">
          <outout:value-of select="$breadcrumbs" />
        </outout:with-param>
      </outout:call-template>
      </b>
      <hr />
      <a>
  			<outout:call-template name="linkString">
  				<outout:with-param name="event">
            <outout:value-of select="'function_select'" />
        	</outout:with-param>
  				<outout:with-param name="data">
            <outout:value-of select="$function_select_sql" />
        	</outout:with-param>
  			</outout:call-template>
        <outout:value-of select="$ccwa_pda_interactive_home_sql" />
			</a>

      <br />
      <outout:if test="$sql_view = 'yes'">
        <outout:call-template name="sql_or_scripts" />
      </outout:if>
      <hr />
      <a>
  			<outout:call-template name="linkString">
  				<outout:with-param name="event">
            <outout:value-of select="'function_select'" />
        	</outout:with-param>
  				<outout:with-param name="data">
            <outout:value-of select="$function_select_script" />
        	</outout:with-param>
  			</outout:call-template>
        <outout:value-of select="$ccwa_pda_interactive_home_scripts" />
			</a>
      <br />
      <outout:if test="$scripts_view = 'yes'">
        <outout:call-template name="sql_or_scripts" />
      </outout:if>
      <hr />
      <a>
  			<outout:call-template name="linkString">
  				<outout:with-param name="event">
            <outout:value-of select="'function_select'" />
        	</outout:with-param>
  				<outout:with-param name="data">
            <outout:value-of select="$function_select_os" />
        	</outout:with-param>
  			</outout:call-template>
        <outout:value-of select="$ccwa_pda_interactive_home_os" />
			</a>
	    <br />
      <outout:if test="$os_view = 'yes'">
        <outout:call-template name="os" />
      </outout:if>
      <hr />
      <a>
        <outout:call-template name="queryString">
  	      <outout:with-param name="event">
            <outout:value-of select="'goto'" />
          </outout:with-param>
  	      <outout:with-param name="tk_prefix">
            <outout:value-of select="$fw_prefix" />
          </outout:with-param>
  	    </outout:call-template>
        <outout:value-of select="$ccwa_pda_interactive_home_tools" />
      </a>
      <br />
      <a>
  			<outout:call-template name="queryString">
  				<outout:with-param name="event">
            <outout:value-of select="'change_connection'" />
        	</outout:with-param>
  	      <outout:with-param name="tk_prefix">
            <outout:value-of select="$cc_prefix" />
          </outout:with-param>
  			</outout:call-template>
        <outout:value-of select="$ccwa_pda_interactive_home_connections" />
			</a>
      <br />
      <a>
  			<outout:call-template name="queryString">
  				<outout:with-param name="event">
            <outout:value-of select="$signoff" />
        	</outout:with-param>
  	      <outout:with-param name="tk_prefix">
            <outout:value-of select="$fw_prefix" />
          </outout:with-param>
  			</outout:call-template>
        <outout:value-of select="$ccwa_pda_interactive_home_signoff" />
      </a>
      <br />
      <a>
				<outout:call-template name='helpLinkString'>
				  <outout:with-param name='event'>
						<outout:value-of select="$help_event_value" />
				  </outout:with-param>
				</outout:call-template>
        <outout:value-of select="$ccwa_pda_interactive_home_help" />
      </a>
    </body>

  </outout:template>

  <outout:template name="sql_or_scripts">

      <outout:value-of select="$ccwa_pda_interactive_home_system" />
      &#160;
      <!-- link to system details by clicking on the value -->
      <a>
        <outout:call-template name="queryString">
          <outout:with-param name="event">
            <outout:value-of select="'system_details'" />
          </outout:with-param>
  	      <outout:with-param name="tk_prefix">
            <outout:value-of select="$fw_prefix" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="$system_value" />
      </a>
      &#160;
      <a>
        <outout:call-template name="linkString">
          <outout:with-param name="event">
            <outout:value-of select="'change_system'" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="$ccwa_pda_interactive_home_change" />
      </a>
      <br />
      <outout:choose>
        <outout:when test="$os390_view = 'no'">
          <outout:value-of select="$ccwa_pda_interactive_home_instance" />
          &#160;
          <a>
            <outout:call-template name="queryString">
              <outout:with-param name="event">
                <outout:value-of select="'instance_details'" />
              </outout:with-param>
      	      <outout:with-param name="tk_prefix">
                <outout:value-of select="$fw_prefix" />
              </outout:with-param>
            </outout:call-template>
            <outout:value-of select="$instance_value" />
          </a>
          <outout:if test="$instance_value = ''">
            <outout:value-of select="$dashes" />
          </outout:if>
          &#160;
          <outout:if test="not($system_value = '')">
            <a>
              <outout:call-template name="linkString">
                <outout:with-param name="event">
                  <outout:value-of select="'change_instance'" />
                </outout:with-param>
              </outout:call-template>
              <outout:value-of select="$ccwa_pda_interactive_home_change" />
            </a>
          </outout:if>
          <br />
          <outout:value-of select="$ccwa_pda_interactive_home_database" />
          &#160;
          <a>
            <outout:call-template name="queryString">
              <outout:with-param name="event">
                <outout:value-of select="'database_details'" />
              </outout:with-param>
      	      <outout:with-param name="tk_prefix">
                <outout:value-of select="$fw_prefix" />
              </outout:with-param>
            </outout:call-template>
            <outout:value-of select="$database_value" />
          </a>
          <outout:if test="$database_value = ''">
            <outout:value-of select="$dashes" />
          </outout:if>
          &#160;
          <outout:if test="not($instance_value = '')">
            <a>
              <outout:call-template name="linkString">
                <outout:with-param name="event">
                  <outout:value-of select="'change_database'" />
                </outout:with-param>
              </outout:call-template>
              <outout:value-of select="$ccwa_pda_interactive_home_change" />
            </a>
          </outout:if>
          <br />
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$ccwa_pda_interactive_home_subsystem" />
          &#160;
          <a>
            <outout:call-template name="queryString">
              <outout:with-param name="event">
                <outout:value-of select="'subsystem_details'" />
              </outout:with-param>
      	      <outout:with-param name="tk_prefix">
                <outout:value-of select="$fw_prefix" />
              </outout:with-param>
            </outout:call-template>
            <outout:value-of select="$subsystem_value" />
          </a>
          <outout:if test="$subsystem_value = ''">
            <outout:value-of select="$dashes" />
          </outout:if>
          &#160;
          <a>
            <outout:call-template name="linkString">
              <outout:with-param name="event">
                <outout:value-of select="'change_subsystem'" />
              </outout:with-param>
            </outout:call-template>
            <outout:value-of select="$ccwa_pda_interactive_home_change" />
          </a>
        </outout:otherwise>
      </outout:choose>

  </outout:template>

  <outout:template name="os">
      <outout:value-of select="$ccwa_pda_interactive_home_system" />
      &#160;
      <a>
        <outout:call-template name="queryString">
          <outout:with-param name="event">
            <outout:value-of select="'system_details'" />
          </outout:with-param>
  	      <outout:with-param name="tk_prefix">
            <outout:value-of select="$fw_prefix" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="$system_value" />
      </a>
      &#160;
      <a>
        <outout:call-template name="linkString">
          <outout:with-param name="event">
            <outout:value-of select="'change_system'" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="$ccwa_pda_interactive_home_change" />
      </a>
      <br />

  </outout:template>

  <outout:template name='queryString'>
    <outout:param name='event'/>
    <outout:param name='tk_prefix' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='via_pair'>
      <outout:value-of select="concat( '&amp;', $via_param, '=', $tk_prefix )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair, $via_pair, $target_pair )"/>
    </outout:attribute>
  </outout:template>

  <outout:template name='linkString'>
    <outout:param name='event'/>
    <outout:param name='data' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='data_pair'>
      <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $data_pair, $function_pair, $target_pair )"/>
    </outout:attribute>

  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>


	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

	<outout:template name='helpLinkString'>
	  <outout:param name="event" />

	  <outout:attribute name='href'>
	  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>
