<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = Query Result stylesheet
 *
 *  Function: displays a screen that shows the sql result
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE      DESCRIPTION                                          S&D Code
 *  02/Feb/24   Initial Version                                     @f214306cmw
 *  02/Apr/08   Add target access key param                         @d223561hab
 *  02/May/21   Fix the result screen                               @d234261cmw
 *  02/Jul/26   Remove the unused input tag                         @d243077cmw
 *  02/Aug/23  Remove string truncation code & add the input tags   @d252352hab
 *  02/Aug/27  Fix regression caused by 252352 & add params again   @d253212hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_pda_results_query_returned" />
  <outout:param name="ccwa_pda_results_results" />
  <outout:param name="ccwa_pda_results_forward" />
  <outout:param name="ccwa_pda_results_back" />
  <outout:param name="ccwa_pda_results_pages" />
  <outout:param name="ccwa_pda_results_view_page" />
  <outout:param name="ccwa_pda_results_ok" />
  <outout:param name="pages_value" /> <!-- number of pages of results, each page has 3 rows -->
  <outout:param name="x_pos" />
  <outout:param name="y_pos" />
  <outout:param name="num_cols" /> <!-- total number of columns returned -->
  <outout:param name="curr_page" />
  <outout:param name="page_number" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="max_pages" />
  <outout:param name="data_param" />
  <outout:param name="current_page_param" />
  <outout:param name="total_cols_param" />
  <outout:param name="row_param" />
  <outout:param name="col_param" />
  <outout:param name="start_col" />
  <outout:param name="start_row" />

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <form name="login" method="post" action="{$req_uri_param}">
      <b>
      <outout:call-template name="form_bctrail" >
        <outout:with-param name="string">
          <outout:value-of select="$breadcrumbs" />
        </outout:with-param>
      </outout:call-template>
      </b>
      <hr />
      <outout:apply-templates select="root/dmessage" />
      <outout:apply-templates select="root/derror" />
      <outout:value-of select="$ccwa_pda_results_query_returned" />
      <br />
      <outout:value-of select="$ccwa_pda_results_results" />
      <hr />
      <outout:if test="$x_pos &gt; 1">
        <a>
    			<outout:call-template name="queryString">
    				<outout:with-param name="event">
              <outout:value-of select="'back'" />
          	</outout:with-param>
  			  </outout:call-template>
          <outout:value-of select="$ccwa_pda_results_back" /> &lt;&lt;
        </a>
        &#160;
      </outout:if>|&#160;
      <outout:if test="$x_pos+3 &lt;= $num_cols">
        <a>
    			<outout:call-template name="queryString">
    				<outout:with-param name="event">
              <outout:value-of select="'forward'" />
          	</outout:with-param>
  			  </outout:call-template>
          &gt;&gt; <outout:value-of select="$ccwa_pda_results_forward" />
        </a>
      </outout:if>
      <outout:apply-templates select="root/dresult" />
      <b>
        <outout:value-of select="$ccwa_pda_results_pages" />
      </b>
      &#160;
      <outout:value-of select="$pages_value" />
      <br />
        <b>
          <outout:value-of select="$ccwa_pda_results_view_page" />
        </b>
        &#160;
        <input type="text" name="{$page_number}" size="5" >
          <outout:attribute name="value">
            <outout:value-of select="$curr_page" />
          </outout:attribute>
        </input>
        &#160;
        <input type="submit" name="ok">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_results_ok" />
          </outout:attribute>
        </input>
        <outout:call-template name='makeStandardHiddenFields'>
          <outout:with-param name='event' select="'ok'" />
        </outout:call-template>
        <outout:call-template name='makeHiddenFields' />

      </form>
    </body>

  </outout:template>

<!-- recursive rule to add leading spaces to a string until it is equal in length to col_len -->
  <outout:template name="printChar">
    <outout:param name="str" />
    <outout:param name="col_len" />
    <outout:if test='string-length($str) &lt; $col_len'>
      <outout:call-template name="printChar">
        <outout:with-param name="str" select="concat(' ',$str)" />
        <outout:with-param name="col_len" select="$col_len" />
      </outout:call-template>
    </outout:if>
    <outout:if test='string-length($str) = $col_len'>
      <outout:value-of select="concat($str,' ')" />
    </outout:if>
  </outout:template>

  <outout:template match="tr/th">
    <outout:if test="position() &gt; 1">
      <td>
        <!-- force the headers into 10 character fields -->
        <input type="text" size="10" readonly="true" value="{text()}" />
      </td>
    </outout:if>
  </outout:template>

<outout:template match="root/dresult" >
<hr />
<table>
<tr>
<outout:apply-templates select="tr/th" />
</tr>
<outout:for-each select="tr">
<outout:variable name="row_number" select="position()-1" />
<outout:if test="td">
<tr>
<outout:for-each select="td">
  <outout:if test="position() &gt; 1">
    <td>
      <a>
			<outout:call-template name="linkString">
  				<outout:with-param name="event">
          <outout:value-of select="'update'" />
        </outout:with-param>
        <outout:with-param name="row_num">
          <outout:value-of select="$row_number" />
        </outout:with-param>
        <outout:with-param name="col_num">
          <outout:value-of select="position()-1" />
        	</outout:with-param>
	  	  </outout:call-template>
      &gt;</a>
      <!-- display results in textfield to align them in the Palm Pilot screen -->
      <input type="text" size="7" readonly="true" value="{text()}" />
    </td>
  </outout:if>
</outout:for-each>
</tr>
</outout:if>
</outout:for-each>
</table>
<hr />
</outout:template>

  <outout:template match="root/derror">
    <outout:copy-of select="text()"/>
    <hr />
  </outout:template>

  <outout:template match="root/dmessage">
    <outout:copy-of select="text()"/>
    <hr />
  </outout:template>

  <outout:template name='queryString'>
    <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='curr_page_pair'>
      <outout:value-of select="concat( '&amp;', $current_page_param, '=', $curr_page )" />
    </outout:variable>
    <outout:variable name='total_pages_pair'>
      <outout:value-of select="concat( '&amp;', $max_pages, '=', $pages_value )" />
    </outout:variable>
    <outout:variable name='total_cols_pair'>
      <outout:value-of select="concat( '&amp;', $total_cols_param, '=', $num_cols )" />
    </outout:variable>
    <outout:variable name='start_col_pair'>
      <outout:value-of select="concat( '&amp;', $start_col, '=', $x_pos )" />
    </outout:variable>
    <outout:variable name='start_row_pair'>
      <outout:value-of select="concat( '&amp;', $start_row, '=', $y_pos )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair,  $start_row_pair, $start_col_pair, $target_pair, $total_cols_pair, $curr_page_pair, $total_pages_pair )"/>
    </outout:attribute>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$max_pages'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$pages_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

	<outout:template name='linkString'>
	  <outout:param name='event'/>
	  <outout:param name='row_num' />
	  <outout:param name='col_num' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='row_pair'>
      <outout:value-of select="concat( '&amp;', $row_param, '=', $row_num + $y_pos - 1 )" />
    </outout:variable>
    <outout:variable name='col_pair'>
      <outout:value-of select="concat( '&amp;', $col_param, '=', $col_num + $x_pos - 1 )" />
    </outout:variable>
    <outout:variable name='start_col_pair'>
      <outout:value-of select="concat( '&amp;', $start_col, '=', $x_pos )" />
    </outout:variable>
    <outout:variable name='start_row_pair'>
      <outout:value-of select="concat( '&amp;', $start_row, '=', $y_pos )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair,  $start_row_pair, $start_col_pair, $target_pair, $row_pair, $col_pair )"/>
	  </outout:attribute>
	</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>



