<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =  (%W%)
 *
 *  Descriptive Name = Save Command Success
 *
 *  Function: displays message to inform user that saving has succeeded
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  02/Mar/19 Initial Version                                       @d219698hab
 *  02/Apr/08 Add target access key param                            @d223561hab
 *  02/May/21 Make all links black                                  @d231712hab
 *  02/Jun/19 Remove links on bread crumb trail                     @d239217hab
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output omit-xml-declaration="yes" method="xml"/>

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_save_command_operation" />
  <outout:param name="ccwa_save_command_system" />
  <outout:param name="ccwa_save_command_change_system" />
  <outout:param name="ccwa_save_command_drive" />
  <outout:param name="ccwa_save_command_change_drive" />
  <outout:param name="ccwa_save_command_ok" />
  <outout:param name="ccwa_save_command_success_message" />

	<outout:param name="system_value" />

	<outout:param name="drive_value" />
  <outout:param name="cc_selected_drive_param" />
  <outout:param name="view_drive" select="yes" /> <!-- is 'no' when viewing unix system -->

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

	<outout:param name='cs_value'/>
	<outout:param name='sid_value'/>
	<outout:param name='event_param'/>
	<outout:param name='cs_param'/>
	<outout:param name='sid_param'/>
	<outout:param name='req_uri_param'/>

	<!-- EVENTS -->
  <!-- "change_system" -->
  <!-- "change_drive" -->
  <!-- "ok" -->

  <!-- Start of rule to match on root -->
  <outout:template match="/">
  <body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">

  <table width="100%" border="0" cellspacing="3" cellpadding="0">
    <tr valign="top">
      <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
      <td width="100%"><b><font size="2" color="#000000">
  <outout:call-template name="form_bctrail" >
    <outout:with-param name="string">
      <outout:value-of select="$breadcrumbs" />
    </outout:with-param>
  </outout:call-template>
  </font></b><br/>
  <img src="../imgs/transDot.gif" height="1" width="763"/></td>
      <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="5" height="20"/></td>
    </tr>
    <tr>
      <td>&#160;</td>
      <td bgcolor="#000066">
        <table width="100%" border="0" cellspacing="2" cellpadding="0">
          <tr>
            <td>
              <table bgcolor="#CCCCCC" width="150" border="0" cellspacing="0" cellpadding="0">
  	        <tr>
  			    <td><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
  			</tr>
  			<tr>
  			    <td align="center" nowrap="true"><font size="2"><b>
  <outout:value-of select="$ccwa_save_command_operation" />
  </b></font></td>
  			</tr>
  		    </table>
  	  	  </td>
  		  <td width="99%"/>
  		 </tr>
           <tr>
            <td colspan="3" bgcolor="#FFFFFF">
              <table width="100%" border="0" cellpadding="10">
                <tr>
                   <td width="100%" valign="top">

                    <form name="form1" method="post" action="{$req_uri_param}">
                      <table border="0" cellspacing="0" cellpadding="0">

                        <tr>
                          <td>
                            <b><font size="2">
  <outout:value-of select="$ccwa_save_command_system" />
  </font></b>
                          </td>
                        </tr>
                        <tr>
                          <td/><td/>
                        </tr>
                        <tr>
                          <td bgcolor="silver" nowrap="true" width="10%">
                            <b><font size="2">
  <outout:value-of select="$system_value" />
                            <img src="../imgs/transDot.gif" alt="" width="5" height="1"/>
                            </font></b>
                          </td>
                          <td bgcolor="silver" nowrap="true" align="left">
                            <a>
											            <outout:call-template name='queryString'>
											              <outout:with-param name='event'>
											              	<outout:value-of select="'change_system'"/>
											              </outout:with-param>
											        		</outout:call-template>
                            <font size="2" color="#000000">
  <outout:value-of select="$ccwa_save_command_change_system" />
  </font>
  </a>&#160;
                          </td>
                          <td width="100%"/>
                        </tr>


                        <tr height="2">
                          <td><img src="../imgs/transDot.gif" alt="" width="10" height="2"/></td>
                        </tr>
  <outout:if test="$view_drive = 'yes'">
                        <tr>
                          <td>
                            <b><font size="2">
  <outout:value-of select="$ccwa_save_command_drive" />
  </font></b>
                          </td>
                        </tr>
                        <tr>
                          <td/><td/>
                        </tr>
                        <tr>
                          <td bgcolor="silver" nowrap="true" width="10%">
                            <b><font size="2">
  <outout:value-of select="$drive_value" />
                            <img src="../imgs/transDot.gif" alt="" width="5" height="1"/>
                            </font></b>
                          </td>
                          <td bgcolor="silver" nowrap="true" align="left">
                            <a>
												            <outout:call-template name='queryString'>
												              <outout:with-param name='event'>
												              	<outout:value-of select="'change_drive'"/>
												              </outout:with-param>
												        		</outout:call-template>

                            <font size="2" color="#000000">
  <outout:value-of select="$ccwa_save_command_change_drive" />
  </font></a>&#160;
                          </td>
                          <td width="100%"/>
                        </tr>
  </outout:if>
  </table>
                      <table width="100%" cellspacing="3" cellpadding="">

                        <tr>
                          <td colspan="2"><img src="../imgs/transDot.gif" alt="" width="1" height="10"/><br />
                            <hr width="100%" size="1" noshade="true" />
                          </td>
                        </tr>
  <tr>
  <td>&#160;</td>
  </tr>
  <tr>
  <td>&#160;</td>
  </tr>
  <tr>
  <td>&#160;</td>
  </tr>
                        <tr>
                          <td>
                            <!--Delete the value attribute manually, and change the param name from ok_btn to whatever-->
  <outout:value-of select="$ccwa_save_command_success_message" />
  <img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0" />
  <input type="submit" name="okBtn">
  <outout:attribute name="value">
  <outout:value-of select="$ccwa_save_command_ok"/>
  </outout:attribute>
  </input>
                          </td>
                          <td>&#160;</td>
                        </tr>
  <tr>
  <td>&#160;</td>
  </tr>
  <tr>
  <td>&#160;</td>
  </tr>
  <tr>
  <td>&#160;</td>
  </tr>
                      </table>
													<outout:call-template name='makeStandardHiddenFields'>
													  <outout:with-param name='event'>
													  	<outout:value-of select="'ok'"/>
													  </outout:with-param>
													</outout:call-template>
													<outout:call-template name='makeHiddenFields' />

                    </form>

                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </td>

  <td>&#160;</td>
    </tr>
  </table>

  </body>
  </outout:template>

	<outout:template name='queryString'>
	  <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='drive_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_drive_param, '=', $drive_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $drive_pair, $function_pair, $target_pair )"/>
	  </outout:attribute>
	</outout:template>

	<outout:template name='makeStandardHiddenFields'>
	  <outout:param name='event'/>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cs_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cs_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$sid_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$sid_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$event_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$event'/>
	    </outout:attribute>
	  </input>
	</outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>

	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_drive_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$drive_value'/>
	    </outout:attribute>
	  </input>
	</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <outout:variable name="label">
            <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
          </outout:variable>
          <outout:value-of select="$label" />
          <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

</outout:stylesheet>