<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = Current Alerts List, Desktop/Laptop
 *
 *  Function: This file will render the Current Alerts List screen for the
 *            non-PDA version of the Health Center Thin Client.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  02/03/17 Fix icon display                                         @d219061jal
 *  02/03/22 Replace A circumflex (and following space) with &#160;   @d222486jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/04/01 Fix Timestamp column sorting order                       @d224402jal
 *  02/04/29 Add error handling                                       @d227594jal
 *  02/08/04 Adjust column width for Object Type and Timestamp columns@d248507jal
 *  02/08/21  Fix for displaying alert                                @d251260jse
 *  02/Oct/29 Meet accessibility requirements                         @d221810hab
 *  02/11/28 LI1946: Improve unit handling                            @d262134jal
 *  03/01/19 Fix some table-related accessibility problems            @d266911jal
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->

<!--
<comment class='stylesheet'>
  <desc>Renders the Current Alerts List screen on non-PDA browsers.</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>sortBy</name>
    <desc>The column index by which the alert table should be sorted.</desc>
  </param>
  <param>
    <name>ALERT_TYPE_POSITION</name>
    <desc>The column index of the alert type data</desc>
  </param>
  <param>
    <name>HEALTH_IND_POSITION</name>
    <desc>The column index of the health indicator data</desc>
  </param>
  <param>
    <name>VALUE_POSITION</name>
    <desc>The column index of the alert value data</desc>
  </param>
  <param>
    <name>OBJ_NAME_POSITION</name>
    <desc>The column index of the object name data</desc>
  </param>
  <param>
    <name>CATEGORY_POSITION</name>
    <desc>The column index of the category data</desc>
  </param>
  <param>
    <name>PARTITION_POSITION</name>
    <desc>The column index of the partition data</desc>
  </param>
  <param>
    <name>OBJ_TYPE_POSITION</name>
    <desc>The column index of the object type data</desc>
  </param>
  <param>
    <name>OBJ_TYPE_POSITION</name>
    <desc>The column index of the object type data</desc>
  </param>
  <param>
    <name>TIMESTAMP_POSITION</name>
    <desc>The column index of the timestamp data</desc>
  </param>
  <param>
    <name>OBJ_NAME_PARAM</name>
    <desc>"Object Name" parameter in query string</desc>
  </param>
  <param>
    <name>PART_PARAM</name>
    <desc>"Partition" parameter in query string</desc>
  </param>
  <param>
    <name>ALERT</name>
    <desc>The "Alert" status string. Used to add the correct graphic to the table.</desc>
  </param>
  <param>
    <name>WARNING</name>
    <desc>The "Warning" status string. Used to add the correct graphic to the table.</desc>
  </param>
  <param>
    <name>ATTENTION</name>
    <desc>The "Attention" status string. Used to add the correct graphic to the table.</desc>
  </param>
  <param>
    <name>sort_event</name>
    <desc>Query string event denoting a sort request</desc>
  </param>
  <param>
    <name>refresh_event</name>
    <desc>Query string event denoting a refresh request</desc>
  </param>
  <param>
    <name>get_rec_event</name>
    <desc>Query string event denoting a request for alert details</desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" indent="no" omit-xml-declaration="yes"/>

<outout:param name="breadcrumbs" />
<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='sortBy'/>

<outout:param name='TIMESTAMP'/>
<outout:param name='ALERT_TYPE'/>
<outout:param name='REFRESH'/>
<outout:param name='HEALTH_INDICATOR'/>
<outout:param name='OBJECT_NAME'/>
<outout:param name='OBJECT_TYPE'/>
<outout:param name='CATEGORY'/>
<outout:param name='PARTITION'/>
<outout:param name='VALUE'/>
<outout:param name='UNIT'/>

<outout:param name='ALERT_TYPE_POSITION'/>
<outout:param name='HEALTH_IND_POSITION'/>
<outout:param name='OBJ_NAME_POSITION'/>
<outout:param name='OBJ_TYPE_POSITION'/>
<outout:param name='TIMESTAMP_POSITION'/>
<outout:param name='CATEGORY_POSITION'/>
<outout:param name='PARTITION_POSITION'/>
<outout:param name='VALUE_POSITION'/>
<outout:param name='UNIT_POSITION'/>
<outout:param name='NUM_COLUMNS'/>

<outout:param name='OBJ_NAME_PARAM'/>
<outout:param name='PART_PARAM'/>

<outout:param name='ALARM'/>
<outout:param name='WARNING'/>
<outout:param name='ATTENTION'/>

<outout:param name='sort_event'/>
<outout:param name='refresh_event'/>
<outout:param name='get_rec_event'/>

<outout:template match="/">
<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" leftmargin="0" text="#000000" bgcolor="#FFFFFF">
<table width="100%">
<tr>
<td><img src="../imgs/transDot.gif" alt="" width="10" /></td>
<td>
<font size="2">
<b>

<outout:call-template name="form_bctrail" >
<outout:with-param name="string">
<outout:value-of select="$breadcrumbs" />
</outout:with-param>
</outout:call-template>

</b>
</font>
<br id="clear" />

<p>
<font size="2" color="#FF0000">
<outout:apply-templates select="root/dmessage"/>
</font>
</p>

<outout:if test='root/derror'>
<p>
<center>
<font size="2" color="#FF0000">
<outout:value-of select='root/derror'/>
</font>
</center>
</p>
</outout:if>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td rowspan="3" bgcolor="#006699"><img src="../imgs/transDot.gif" alt="" width="3" height="1"/></td>
    <td bgcolor="#006699" align="right"><img src="../imgs/transDot.gif" alt="" height="15" /><a id="dyn_refreshLink" shape="rect">
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$refresh_event'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$sortBy'/></outout:with-param>
</outout:call-template>
<b>
<font color="#FFFFFF" size="2">
<outout:value-of select='$REFRESH'/></font>
</b>
</a>
    </td>
    <td width="3%" bgcolor="#006699"><img src="../imgs/transDot.gif" alt="" width="5" height="5" /></td>
    <td rowspan="3" bgcolor="#006699"><img src="../imgs/transDot.gif" alt="" width="3" height="1"/></td>
  </tr>
  <tr>
    <td colspan="2">
      <table id="dresult" align="center" cellspacing="0" bgcolor="#FFFFFF" border="1" bordercolor="#D0D0D0" width="100%">
        <tr bgcolor="#006699">
          <th colspan="1" rowspan="1" width="10%">
<outout:call-template name='handleHeaderCell'>
   <outout:with-param name='currPos'>1</outout:with-param>
</outout:call-template>
          </th>
          <th colspan="1" rowspan="1" width="30%">
<outout:call-template name='handleHeaderCell'>
   <outout:with-param name='currPos'>2</outout:with-param>
</outout:call-template>
          </th>
          <th colspan="1" rowspan="1" width="5%">
<outout:call-template name='handleHeaderCell'>
   <outout:with-param name='currPos'>3</outout:with-param>
</outout:call-template>
          </th>
          <th colspan="1" rowspan="1" width="8%">
<outout:call-template name='handleHeaderCell'>
   <outout:with-param name='currPos'>4</outout:with-param>
</outout:call-template>
          </th>
          <th colspan="1" rowspan="1" width="10%">
<outout:call-template name='handleHeaderCell'>
   <outout:with-param name='currPos'>5</outout:with-param>
</outout:call-template>
          </th>
          <th colspan="1" rowspan="1" width="10%">
<outout:call-template name='handleHeaderCell'>
   <outout:with-param name='currPos'>6</outout:with-param>
</outout:call-template>
          </th>
          <th colspan="1" rowspan="1" width="7%">
<outout:call-template name='handleHeaderCell'>
   <outout:with-param name='currPos'>7</outout:with-param>
</outout:call-template>
          </th>
          <th colspan="1" rowspan="1" width="10%">
<outout:call-template name='handleHeaderCell'>
   <outout:with-param name='currPos'>8</outout:with-param>
</outout:call-template>
          </th>
          <th colspan="1" rowspan="1" width="10%">
<outout:call-template name='handleHeaderCell'>
   <outout:with-param name='currPos'>9</outout:with-param>
</outout:call-template>
          </th>
        </tr>
 <outout:call-template name="fillTable"/>
      </table>
    </td>
  </tr>
  <tr>
<td colspan="2" bgcolor="#006699"><img src="../imgs/transDot.gif" alt="" height="4" width="928"/></td>
  </tr>
</table>
</td>
<td><img src="../imgs/transDot.gif" alt="" width="15" /></td>
</tr>
</table>
</body>
</outout:template>

<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to the query string.</desc>
  <param>
    <name>addInfo</name>
    <desc>Any additional parameters to be included in the query string. eg, &moreinfo=this&evenmore=that</desc>
  </param>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
  <param>
    <name>data</name>
    <desc>The string substituted after the data parameter string. Follows the same rules as the event parameter, but can be left blank.</desc>
  </param>
</comment>
-->
<outout:template name='queryString'>
  <outout:param name='addInfo'/>
  <outout:param name='event'/>
  <outout:param name='data'/>

  <outout:attribute name='href'>
  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
  </outout:attribute>
</outout:template>

<!--
<comment class='template'>
  <desc>Fills in one cell at the top of the table. Handles changing background colour and turning bold on/off depending on the current sort index.</desc>
  <param>
    <name>currPos</name>
    <desc>The current column index</desc>
  </param>
</comment>
-->
<outout:template name='handleHeaderCell'>
   <outout:param name='currPos'/>

   <!-- First, get the text we use in the cell -->
   <outout:variable name='colHeader'>
      <outout:choose>
         <outout:when test='$currPos=$ALERT_TYPE_POSITION'>
            <outout:value-of select='$ALERT_TYPE'/>
         </outout:when>
         <outout:when test='$currPos=$HEALTH_IND_POSITION'>
            <outout:value-of select='$HEALTH_INDICATOR'/>
         </outout:when>
         <outout:when test='$currPos=$VALUE_POSITION'>
            <outout:value-of select='$VALUE'/>
         </outout:when>
         <outout:when test='$currPos=$UNIT_POSITION'>
            <outout:value-of select='$UNIT'/>
         </outout:when>
         <outout:when test='$currPos=$CATEGORY_POSITION'>
            <outout:value-of select='$CATEGORY'/>
         </outout:when>
         <outout:when test='$currPos=$OBJ_NAME_POSITION'>
            <outout:value-of select='$OBJECT_NAME'/>
         </outout:when>
         <outout:when test='$currPos=$PARTITION_POSITION'>
            <outout:value-of select='$PARTITION'/>
         </outout:when>
         <outout:when test='$currPos=$OBJ_TYPE_POSITION'>
            <outout:value-of select='$OBJECT_TYPE'/>
         </outout:when>
         <outout:when test='$currPos=$TIMESTAMP_POSITION'>
            <outout:value-of select='$TIMESTAMP'/>
         </outout:when>
      </outout:choose>
   </outout:variable>

   <!-- change background colour if we're sorting by this column -->
   <outout:if test="$currPos=$sortBy">
      <outout:attribute name="bgcolor"><outout:text>#CCCCCC</outout:text></outout:attribute>
   </outout:if>
   <div align="center">
      <a shape="rect">
        <!-- if we aren't sorting by this column, make the text a link to sort by this column -->
         <outout:if test="not($currPos=$sortBy)">
            <outout:call-template name='queryString'>
              <outout:with-param name='event'><outout:value-of select='$sort_event'/></outout:with-param>
              <outout:with-param name='data'><outout:value-of select='$currPos'/></outout:with-param>
            </outout:call-template>
         </outout:if>
      <b>
      <font size="2">
        <!-- change colour of text if we're sorting by this column -->
         <outout:attribute name="color">
            <outout:choose>
               <outout:when test="$currPos=$sortBy">
                  <outout:text>#000000</outout:text>
               </outout:when>
               <outout:otherwise>
                  <outout:text>#FFFFFF</outout:text>
               </outout:otherwise>
            </outout:choose>
         </outout:attribute>
         <outout:value-of select="$colHeader"/>
      </font>
      </b>
      </a>
      </div>
</outout:template>

<!--
<comment class='template'>
  <desc>Fills in alert table data.</desc>
</comment>
-->
<outout:template name='fillTable'>
  <!-- just check which way we should be sorting and feed the sorted results into writeRow -->
  <outout:choose>
    <outout:when test='$sortBy=$VALUE_POSITION or $sortBy=$TIMESTAMP_POSITION or $sortBy=$PARTITION_POSITION'>
      <outout:for-each select="root/dresult/tr">
        <outout:sort select="child::*[position()=$sortBy]"/>
        <outout:call-template name='writeRow'/>
      </outout:for-each>
    </outout:when>
    <outout:otherwise>
      <outout:for-each select="root/dresult/tr">
        <outout:sort select="child::*[position()=$sortBy]"/>
        <outout:call-template name='writeRow'/>
      </outout:for-each>
    </outout:otherwise>
  </outout:choose>
</outout:template>

<!--
<comment class='template'>
  <desc>Outputs sorted data coming from fillTable.</desc>
</comment>
-->
<outout:template name='writeRow'>
  <!-- Output the current row using handleTableCell, and add a grey divider if the current alert is not the last one. -->
  <tr>
    <outout:call-template name='handleTableCell'>
      <outout:with-param name='currPos'>1</outout:with-param>
    </outout:call-template>
  </tr>
</outout:template>

<!--
<comment class='template'>
  <desc>Fills in one cell of the alert table.</desc>
  <param>
    <name>currPos</name>
    <desc>The current column index</desc>
  </param>
</comment>
-->
<outout:template name='handleTableCell'>
  <outout:param name='currPos'/>
  <td>
    <outout:choose>
    <!-- handles putting the link on the health indicator cell -->
      <outout:when test='$currPos=$HEALTH_IND_POSITION'>
        <outout:variable name='curr_hi'><outout:value-of select='child::*[position()=$HEALTH_IND_POSITION]'/></outout:variable>
        <outout:variable name='curr_obj_name'><outout:value-of select='child::*[position()=$OBJ_NAME_POSITION]'/></outout:variable>
        <outout:variable name='curr_part'><outout:value-of select='child::*[position()=$PARTITION_POSITION]'/></outout:variable>
        <a>
          <outout:call-template name='queryString'>
            <outout:with-param name='event'><outout:value-of select='$get_rec_event'/></outout:with-param>
            <outout:with-param name='data'><outout:value-of select='$curr_hi'/></outout:with-param>
            <outout:with-param name='addInfo'><outout:value-of select="concat('&amp;', $OBJ_NAME_PARAM, '=', $curr_obj_name, '&amp;', $PART_PARAM, '=', $curr_part)"/></outout:with-param>
          </outout:call-template>
          <font size="2" color="#000000">
            <outout:value-of select='$curr_hi'/>
          </font>
        </a>
      </outout:when>
      <!-- handles the "Alert Type" cell -->
      <outout:when test='$currPos=$ALERT_TYPE_POSITION'>
        <outout:choose>
          <outout:when test='child::*[position()=$currPos]=$ALARM'><img src='../imgs/tv_hc_alarm_alert.gif' alt="" /></outout:when>
          <outout:when test='child::*[position()=$currPos]=$WARNING'><img src='../imgs/tv_hc_warning_alert.gif' alt="" /></outout:when>
          <outout:when test='child::*[position()=$currPos]=$ATTENTION'><img src='../imgs/tv_hc_attention_alert.gif' alt="" /></outout:when>
        </outout:choose>
        &#160;<font size="2" color="#000000"><outout:value-of select='child::*[position()=$currPos]'/></font>
      </outout:when>
      <!-- handles all the other cells. -->
      <outout:otherwise>
        <font size="2" color="#000000">
          <outout:value-of select='child::*[position()=$currPos]'/>
        </font>
      </outout:otherwise>
    </outout:choose>
  </td>
  <!-- If we aren't at the last column, make a recursive call using the next column index -->
  <outout:if test='not($currPos=$NUM_COLUMNS)'>
    <outout:call-template name='handleTableCell'>
      <outout:with-param name='currPos'><outout:value-of select='$currPos+1'/></outout:with-param>
    </outout:call-template>
  </outout:if>
</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

  <outout:template match="root/dmessage">
    <outout:copy-of select="text()|@*|*"/>
  </outout:template>

</outout:stylesheet>
