<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = Login with Existing Connections, Desktop/Laptop
 *
 *  Function: This file will render the Login screen for non-PDA browsers.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  YY/MM/DD
 *  =============================================================================
 *  01/11/06 Initial Version                                          @
 *  02/03/17 Prefill instances in the instance dropdown box           @d220920jal
 *  02/03/22 Replace A circumflex (and following space) with &#160;   @d222486jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/03/25 Support system login                                     @d222411jal
 *  02/04/08 Call service to obtain existing connections              @d223881jal
 *  02/04/10 Remove User ID & Password fields to avoid duplicate login@d226603jal
 *  02/04/14 Modify the GUI look to be same as in Command Center      @d226192jal
 *  02/05/28 Hook up close connection function                        @d226007jal
 *  02/08/21 Display error message text                               @d249978jse
 *  02/Oct/29 Meet accessibility requirements                         @d221810hab
 *  02/12/06 Provide text equivalent for mandatory field indicator    @d263104jal
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
<!--
<comment class='stylesheet'>
  <desc>Renders the Login screen on the PDA</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>ok_param</name>
    <desc>Form parameter for the "OK" button.</desc>
  </param>
  <param>
    <name>cancel_param</name>
    <desc>Form parameter for the "Cancel" button.</desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" indent="no" omit-xml-declaration="yes"/>

<outout:param name="breadcrumbs" />
<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='HCWA_DESK_LOGIN_EXISTING_LOGIN'/>
<outout:param name='HCWA_DESK_LOGIN_EXISTING_EXISTING_CONN'/>
<outout:param name='HCWA_DESK_LOGIN_EXISTING_SYSTEM'/>
<outout:param name='HCWA_DESK_LOGIN_EXISTING_OK_BUTTON'/>
<outout:param name='HCWA_DESK_LOGIN_EXISTING_CANCEL_BUTTON'/>
<outout:param name='CLOSE_CONNECTION'/>

<outout:param name='ok_param'/>
<outout:param name='cancel_param'/>
<outout:param name='system_param'/>
<outout:param name='choose_conn_param'/>
<outout:param name='MANDATORY_FIELD'/>

<outout:template match="/">
<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" leftmargin="0" text="#000000" bgcolor="#FFFFFF">

<table width="100%" border="0" cellspacing="3" cellpadding="0">
  <tr>
    <td><img src="../imgs/transDot.gif" alt="" width="15"/></td>
    <td>
      <b>
        <font size="2" color="#000000">
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string">
              <outout:value-of select="$breadcrumbs" />
            </outout:with-param>
          </outout:call-template>
        </font>
      </b>
      <img src="../imgs/transDot.gif" alt="" width="763" height="10"/>
    </td>
  </tr>

  <tr>
    <td>&#160;</td>
    <td bgcolor="#000066">
      <table width="100%" border="0" cellspacing="2" cellpadding="0">
        <tr>
          <td>
            <table bgcolor="#CCCCCC" width="150" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
              </tr>
              <tr>
                <td align="center" nowrap="true">
                  <font size="2"><b>
                    <outout:value-of select="$HCWA_DESK_LOGIN_EXISTING_LOGIN" /></b>
                  </font>
                </td>
              </tr>
            </table>
          </td>

          <td width="*"/>
          <td>
            <table bgcolor="#CCCCCC" width="150" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
              </tr>
              <tr>
                <td align="center" nowrap="true">
                  <font size="2"><b>
                    <outout:value-of select="$HCWA_DESK_LOGIN_EXISTING_EXISTING_CONN" /></b>
                  </font>
                </td>
              </tr>
            </table>
          </td>

          <td width="*"/>
        </tr>

        <tr>
          <td colspan="2" bgcolor="#FFFFFF" width="50%" valign="top">
            <table width="100%" border="0" cellpadding="10">
              <tr>
                <td width="100%">
                  <form enctype="application/x-www-form-urlencoded" action="" method="post" name="form1">
                    <outout:attribute name='action'>
                      <outout:value-of select='$req_uri_param'/>
                    </outout:attribute>

                    <table width="100%" cellspacing="3" cellpadding="0">
                      <tr><font size="2" color="#FF0000">
                        <outout:apply-templates select="root/dmessage"/>
                        <outout:apply-templates select="root/derror"/>
                      </font><br /></tr>
                      <tr>
                        <td>
                          <b>
                            <font size="2" color="#FF0000"><img src="../imgs/red_asterisk.gif" alt="{$MANDATORY_FIELD}" /></font>
                            <font size="2">
                              <label for="selectSystem">
                                <outout:value-of select="$HCWA_DESK_LOGIN_EXISTING_SYSTEM" />
                              </label>
                            </font>
                          </b>
                          <br/>
                          <select id="selectSystem">
                            <outout:attribute name='name'>
                              <outout:value-of select='$system_param'/>
                            </outout:attribute>
                            <outout:call-template name='listSystems'/>
                          </select>
                        </td>
                      </tr>
                    </table>

                    <br/>
                    <br/>
                    <br/>
                    <table cellpadding="0" cellspacing="0" border="0" width="90%">
                      <tr>
                        <td colspan="1" rowspan="1" height="200" width="2%">&#160;</td>
                        <td colspan="1" rowspan="1" height="25" valign="middle" width="18%">
                          <input type='submit'>
                            <outout:attribute name="value">
                              <outout:value-of select='$HCWA_DESK_LOGIN_EXISTING_OK_BUTTON'/>
                            </outout:attribute>
                            <outout:attribute name='name'>
                              <outout:value-of select='$ok_param'/>
                            </outout:attribute>
                          </input>
                        </td>
                        <img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0" />
                        <td colspan="1" rowspan="1" height="25" valign="middle" width="78%">
                          <input type='submit'>
                            <outout:attribute name='value'>
                              <outout:value-of select='$HCWA_DESK_LOGIN_EXISTING_CANCEL_BUTTON'/>
                            </outout:attribute>
                            <outout:attribute name='name'>
                              <outout:value-of select='$cancel_param'/>
                            </outout:attribute>
                          </input>
                          <outout:call-template name='makeStandardHiddenFields'>
                            <outout:with-param name='event'>buttonClick</outout:with-param>
                          </outout:call-template>
                        </td>
                      </tr>
                    </table>
                  </form>
                </td>
              </tr>
            </table>
          </td>

          <td colspan="2" bgcolor="#FFFFFF" width="50%" valign="top">
            <table width="100%" border="0" cellpadding="10">
              <tr>
                <td colspan="1" rowspan="1" valign="top" height="281">
                  <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                      <td colspan="1" rowspan="1" width="97%">
                        <table cellpadding="0" cellspacing="0" border="0" width="100%">
                          <outout:call-template name='listConnections'/>
                        </table>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
    <td>&#160;</td>
  </tr>
</table>
</body>
</outout:template>


<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to a form.</desc>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
</comment>
-->
<outout:template name='makeStandardHiddenFields'>
  <outout:param name='event'/>
  <input type='hidden'>
    <outout:attribute name='name'>
      <outout:value-of select='$cs_param'/>
    </outout:attribute>
    <outout:attribute name='value'>
      <outout:value-of select='$cs_value'/>
    </outout:attribute>
  </input>
  <input type='hidden'>
    <outout:attribute name='name'>
      <outout:value-of select='$sid_param'/>
    </outout:attribute>
    <outout:attribute name='value'>
      <outout:value-of select='$sid_value'/>
    </outout:attribute>
  </input>
  <input type='hidden'>
    <outout:attribute name='name'>
      <outout:value-of select='$event_param'/>
    </outout:attribute>
    <outout:attribute name='value'>
      <outout:value-of select='$event'/>
    </outout:attribute>
  </input>
</outout:template>

<!--
<comment class='template'>
  <desc>Outputs a list of available systems into a select box.</desc>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
</comment>
-->
<outout:template name='listSystems'>
  <option>------------------------------</option>
  <outout:for-each select='root/dresult/option'>
    <option><outout:value-of select='.'/></option>
  </outout:for-each>
</outout:template>

<!--
<comment class='template'>
  <desc>Outputs a list of existing connections.</desc>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
</comment>
-->
<outout:template name='listConnections'>
  <outout:for-each select='root/connList/tr'>
	  <outout:choose>
	    <outout:when test="position() &gt; 1">
        <tr>
          <td><b><font size="2">
            <a>
              <outout:call-template name='queryString'>
                <outout:with-param name='event'><outout:value-of select='$choose_conn_param'/></outout:with-param>
                <outout:with-param name='data'><outout:value-of select='@name'/></outout:with-param>
              </outout:call-template>
              <outout:value-of select='@value'/>
            </a>
          </font></b></td>
          <td align="right">
            <a>
              <outout:call-template name="queryString">
                <outout:with-param name="event">
                  <outout:value-of select="'close_connection'" />
                </outout:with-param>
                <outout:with-param name="data">
                  <outout:value-of select="@name" />
                </outout:with-param>
              </outout:call-template>
              <font color="#000000"><outout:value-of select="$CLOSE_CONNECTION" /></font>
            </a>
          </td>
        </tr>
   	  </outout:when>
   	  <outout:otherwise>
        <tr>
          <td><b><font size="2">
            <a>
              <outout:call-template name='queryString'>
                <outout:with-param name='event'><outout:value-of select='$choose_conn_param'/></outout:with-param>
                <outout:with-param name='data'><outout:value-of select='@name'/></outout:with-param>
              </outout:call-template>
              <outout:value-of select='@value'/>
            </a>
          </font></b></td>
        </tr>
   	  </outout:otherwise>
    </outout:choose>
  </outout:for-each>
</outout:template>

<outout:template name='queryString'>
   <outout:param name="addInfo"/>
   <outout:param name='event'/>
   <outout:param name='data'/>
   <outout:attribute name="href">
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
   </outout:attribute>
</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
            </outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

  <outout:template name='bctLinkString'>
    <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

    <outout:attribute name='href'>
      <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
      <outout:value-of select="$standard_params"/>
    </outout:attribute>
  </outout:template>

</outout:stylesheet>
