<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = Specific Description/Recommendation, Desktop/Laptop
 *
 *  Function: This file will render the Specific Alert Description &
 *            Recommendations screen for non-PDA browsers.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  =============================================================================
 *  02/02/26 Changes to health indicator and recommendation object    @d214335jse
 *  02/03/09 Display alarm/warning threshold values                   @d217545jal
 *  02/03/11 Relocate Addition Information section                    @d219057jal
 *  02/03/17 Fix icon display                                         @d219061jal
 *  02/03/22 Replace A circumflex (and following space) with &#160;   @d222486jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/03/27 Fix the link to Web Command Center                       @d220943jal
 *  02/04/03 Remove redundant blank space leading the description text@d225036jal
 *  02/04/07 Support retrieval of recommended value, result state,etc.@d225858jal
 *  02/04/08 Fix incorrect directory for image transDot.gif           @d225985jal
 *  02/07/12 Fix current cfg param value and recommendation desc text @d243894jal
 *  02/08/28 Remove field "Value at alert time"                       @d252938jal
 *  02/Oct/29 Meet accessibility requirements                         @d221810hab
 *  02/11/28 LI1946: Improve unit handling                            @d262134jal
 *  04/03/11  Formatting recommendation text.                         @d303471kc
 *  04/03/16 Fixes to display collection data.                        @d303471kc
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
<!--
<comment class='stylesheet'>
  <desc>Renders the Alert Description/Recommendations screen on non-PDA browsers.</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>timestamp_value</name>
    <desc>The timestamp of the current alert.</desc>
  </param>
  <param>
    <name>computation</name>
    <desc>The equation by which the value of the alert is calculated.</desc>
  </param>
  <param>
    <name>descText</name>
    <desc>The description of the alert.</desc>
  </param>
  <param>
    <name>isCollection</name>
    <desc>Set to true if this is a collection based hi.</desc>
  </param>
  <param>
    <name>numRecs</name>
    <desc>The number of recommendations for this health indicator.</desc>
  </param>
  <param>
    <name>currRecNum</name>
    <desc>The index of the currently displayed recommendation.</desc>
  </param>
  <param>
    <name>ALERT</name>
    <desc>The "Alert" status string. Used to add the correct graphic to the description header.</desc>
  </param>
  <param>
    <name>WARNING</name>
    <desc>The "Warning" status string. Used to add the correct graphic to the description header.</desc>
  </param>
  <param>
    <name>ATTENTION</name>
    <desc>The "Attention" status string. Used to add the correct graphic to the description header.</desc>
  </param>
  <param>
    <name>alertType</name>
    <desc>The status of the alert. Used to add the correct graphic to the description header.</desc>
  </param>
  <param>
    <name>alertName</name>
    <desc>The name of the current Health Indicator.</desc>
  </param>
  <param>
    <name>recText</name>
    <desc>The text of the currently displayed recommendation.</desc>
  </param>
  <param>
    <name>recType</name>
    <desc>The type of the current recommendation (ie, is it dependent on a non-web tool).</desc>
  </param>
  <param>
    <name>add_info_text</name>
    <desc>Any additional alert info.</desc>
  </param>
  <param>
    <name>object_type_value</name>
    <desc>The type of the object on which the alert is active.</desc>
  </param>
  <param>
    <name>object_name_value</name>
    <desc>The name of the object on which the alert is active.</desc>
  </param>
  <param>
    <name>category_value</name>
    <desc>The category of the alert.</desc>
  </param>
  <param>
    <name>timestamp_value</name>
    <desc>The timestamp of the alert.</desc>
  </param>
  <param>
    <name>value_value</name>
    <desc>The value of the alert.</desc>
  </param>
  <param>
    <name>spec_hist_param</name>
    <desc>Query string data parameter denoting a request for alert history</desc>
  </param>
  <param>
    <name>current_alerts_param</name>
    <desc>Query string data parameter denoting a request for the current alerts list.</desc>
  </param>
  <param>
    <name>get_rec_event</name>
    <desc>Query string event parameter denoting a request for alert recommendations</desc>
  </param>
  <param>
    <name>dest_event</name>
    <desc>Query string event parameter denoting a request to move into another state</desc>
  </param>
  <param>
    <name>runScript</name>
    <desc>The event expected on the CC side to indicate that we need to run a script.</desc>
  </param>
  <param>
    <name>config_command</name>
    <desc>The command to remedy the alert condition.</desc>
  </param>
  <param>
    <name>via_param</name>
    <desc>Flag to indicate to the framework that the request needs to be processed by a different router.</desc>
  </param>
  <param>
    <name>return_param</name>
    <desc>For inter-toolkit calls, this denotes the originating toolkit.</desc>
  </param>
  <param>
    <name>cc_prefix</name>
    <desc>The prefix of the Command Center toolkit.</desc>
  </param>
  <param>
    <name>hc_prefix</name>
    <desc>The prefix of the Health Center toolkit.</desc>
  </param>
  <param>
    <name>alarmThreshold</name>
    <desc>The alarm threshold</desc>
  </param>
  <param>
    <name>warningThreshold</name>
    <desc>The warning threshold</desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" indent="no" omit-xml-declaration="yes"/>

<outout:param name="breadcrumbs" />
<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='HCWA_DESK_SPEC_REC_BACK_ALERTS'/>
<outout:param name='HCWA_DESK_SPEC_REC_NEXT_REC'/>
<outout:param name='HCWA_DESK_SPEC_REC_PREV_REC'/>
<outout:param name='HCWA_DESK_SPEC_REC_RECOMMENDATION'/>
<outout:param name='HCWA_DESK_SPEC_REC_HISTORY_TITLE'/>
<outout:param name='HCWA_DESK_SPEC_REC_REC_TITLE'/>
<outout:param name='ADD_INFO_HEADER'/>
<outout:param name='CURRENT_VALUE_HEADER'/>
<outout:param name='RECOMMENDED_VALUE_HEADER'/>
<outout:param name='RESULT_STATE_HEADER'/>
<outout:param name='desc_header'/>
<outout:param name='TIMESTAMP'/>
<outout:param name='ALARM_THRESHOLD'/>
<outout:param name='WARNING_THRESHOLD'/>
<outout:param name='VALUE'/>
<outout:param name='CATEGORY'/>
<outout:param name='OBJECT_NAME'/>
<outout:param name='OBJECT_TYPE'/>
<outout:param name='PARTITION'/>
<outout:param name='config_message'/>
<outout:param name='tool_message'/>

<outout:param name='computation'/>
<outout:param name='descText'/>
<outout:param name='isCollection'/>
<outout:param name='numRecs'/>
<outout:param name='currRecNum'/>
<outout:param name='alertName'/>
<outout:param name='recText'/>
<outout:param name='recTextMore'/>
<outout:param name='recType'/>
<outout:param name='add_info_text'/>
<outout:param name='object_type_value'/>
<outout:param name='object_name_value'/>
<outout:param name='partition_value'/>
<outout:param name='category_value'/>
<outout:param name='timestamp_value'/>
<outout:param name='value_value'/>

<outout:param name='alertType'/>
<outout:param name='ALARM'/>
<outout:param name='WARNING'/>
<outout:param name='ATTENTION'/>

<outout:param name='runScript'/>
<outout:param name='config_command'/>
<outout:param name='via_param'/>
<outout:param name='return_param'/>
<outout:param name='cc_prefix'/>
<outout:param name='hc_prefix'/>

<outout:param name='DBM_CONFIG_TYPE'/>
<outout:param name='DB_CONFIG_TYPE'/>
<outout:param name='NOT_APPLICABLE'/>

<outout:param name='get_rec_event'/>
<outout:param name='dest_event'/>
<outout:param name='current_alerts_param'/>
<outout:param name='spec_hist_param'/>
<outout:param name='alarmThreshold'/>
<outout:param name='warningThreshold'/>

<outout:param name='currentValue'/>
<outout:param name='recommendedValue'/>
<outout:param name='resultState'/>

<!-- Kitman -->
<!--
<outout:param name='COL_OBJECT_NAME_POSITION'/>
<outout:param name='COL_OBJECT_STATE_POSITION'/>
<outout:param name='COL_TIMESTAMP_POSITION'/>
<outout:param name='COL_DETAIL_POSITION'/>
-->

<outout:param name='COL_OBJECT_NAME'/>
<outout:param name='COL_OBJECT_STATE'/>
<outout:param name='COL_TIMESTAMP'/>
<outout:param name='COL_DETAIL'/>

<outout:template match="/">
<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" leftmargin="0" text="#000000" bgcolor="#FFFFFF">
<table width="100%">
<tr>
<td><img src="../imgs/transDot.gif" alt="" width="15"/></td>
<td>
<p><b><font size="2" color="#000000">

<outout:call-template name="form_bctrail" >
<outout:with-param name="string">
<outout:value-of select="$breadcrumbs" />
</outout:with-param>
</outout:call-template>

</font></b></p>
<outout:if test='root/derror'>
  <p align="center">
    <font size="2" color="#FF0000"><outout:value-of select='root/derror'/></font>
  </p>
</outout:if>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td colspan="3" bgcolor="#FFFFFF" height="25" align="left" rowspan="1">
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$dest_event'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$current_alerts_param'/></outout:with-param >
</outout:call-template>
<b>
<font size="2" color="#000000">&lt;&lt; <outout:value-of select='$HCWA_DESK_SPEC_REC_BACK_ALERTS'/></font>
</b>
</a>
</td>
<td rowspan="3" width="5%" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="20" height="1"/>
</td>
<td rowspan="3" bgcolor="#006699" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="4"/>
</td>
<td width="22%" bgcolor="#006699" height="25" align="center" rowspan="1" colspan="1">
<b>
<font size="2" color="#FFFFFF"><outout:value-of select='$HCWA_DESK_SPEC_REC_REC_TITLE'/></font>
</b>
</td>
<td width="3%" height="25" rowspan="1" colspan="1">&#160;</td>
<td width="22%" bgcolor="#CCDDEE" height="25" align="center" rowspan="1" colspan="1">
<b>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$dest_event'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$spec_hist_param'/></outout:with-param >
</outout:call-template>
<font size="2" color="#000000">
<outout:value-of select='$HCWA_DESK_SPEC_REC_HISTORY_TITLE'/>
</font>
</a>
</b>
</td>
<td bgcolor="#CCDDEE" rowspan="1" colspan="1">&#160;</td>
</tr>

<tr>
<td rowspan="2" bgcolor="#006699" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="4" height="8"/>
</td>
<td width="47%" valign="top" rowspan="1" colspan="1">

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr bgcolor="#006699" align="center">
<td colspan="3" height="25" rowspan="1">
<font size="2" color="#FFFFFF">
<b>
<outout:value-of select='$alertName'/>
</b>
</font>
</td>
</tr>

<tr>
<td rowspan="5" colspan="1">&#160;</td>
<td width="99%" height="30" valign="middle" rowspan="1" colspan="1">
<b>
<font size="2">
<outout:choose>
  <outout:when test='$alertType=$ALARM'><img src='../imgs/tv_hc_alarm_alert.gif' alt="" /></outout:when>
  <outout:when test='$alertType=$WARNING'><img src='../imgs/tv_hc_warning_alert.gif' alt="" /></outout:when>
  <outout:when test='$alertType=$ATTENTION'><img src='../imgs/tv_hc_attention_alert.gif' alt="" /></outout:when>
</outout:choose>
&#160;<outout:value-of select='$desc_header'/>
</font>
</b>
</td>
<td rowspan="5" colspan="1">&#160;</td>
</tr>

<tr>
<td width="99%" height="100" rowspan="1" colspan="1">
<table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="#FFFFFF">
<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$OBJECT_TYPE'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$object_type_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$OBJECT_NAME'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$object_name_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$PARTITION'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$partition_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$TIMESTAMP'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$timestamp_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$CATEGORY'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$category_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$VALUE'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$value_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$ALARM_THRESHOLD'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$alarmThreshold'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$WARNING_THRESHOLD'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$warningThreshold'/>
  </font>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td width="99%" height="8" rowspan="1" colspan="1">
<p>
  <font size="2" color="#000000">
    <br id="clear" />
    <b><outout:value-of select='$ADD_INFO_HEADER'/></b>
    <br id="clear" />
    <outout:value-of select='$add_info_text'/>
  </font>
</p>
<p>
  <font size="2" color="#000000">
    <outout:value-of select='$descText'/>
  </font>
</p>
</td>
</tr>

<!--
<tr>
<td width="99%" valign="top" rowspan="1" colspan="1">
&#160;</td>
</tr>
-->
<!--Kitman -->
<outout:choose>
<outout:when test='$isCollection="true"'>

<tr>
<td width="99%" height="100" rowspan="1" colspan="1">
  <table width="100%" border="2" bordercolor="#D0D0D0" cellspacing="0" cellpadding="2">

    <tr bgcolor="#CCDDEE">
      <td rowspan="1" colspan="1" width="25%">
        <font size="2" color="#000000">
          <outout:value-of select='$COL_OBJECT_NAME'/>
        </font>
      </td>
      <td rowspan="1" colspan="1" width="25%">
        <font size="2" color="#000000">
          <outout:value-of select='$COL_OBJECT_STATE'/>
        </font>
      </td>
      <td rowspan="1" colspan="1" width="25%">
        <font size="2" color="#000000">
          <outout:value-of select='$COL_TIMESTAMP'/>
        </font>
      </td>
      <td rowspan="1" colspan="1" width="25%">
        <font size="2" color="#000000">
          <outout:value-of select='$COL_DETAIL'/>
        </font>
      </td>
    </tr>
    
    <outout:apply-templates select="root/dresult"/>
        
  </table>
</td>
</tr>

</outout:when>
</outout:choose>

<!--Kitman: Template -->

<tr>
<td width="99%" height="*" rowspan="1" colspan="1">
<p>&#160;</p>
</td>
</tr>
</table>
</td>
<td bgcolor="#006699" rowspan="2" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="4"/>
</td>
<td width="47%" colspan="3" valign="top" rowspan="1">

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td colspan="4" bgcolor="#006699" height="25" rowspan="1">&#160;</td>
</tr>


<outout:choose>
  <outout:when test='$numRecs!="0"'>

    <tr>
      <td rowspan="6" colspan="1">&#160;</td>
      <td width="99%" colspan="2" height="30" valign="middle" rowspan="1">
        <b>
          <font size="2">
            <outout:value-of select='$HCWA_DESK_SPEC_REC_RECOMMENDATION'/>&#160;<outout:value-of select='$currRecNum'/>&#160;(&#160;
            <outout:call-template name='navLinks'>
              <outout:with-param name='currPos'>1</outout:with-param>
            </outout:call-template>
            &#160;)</font>
        </b>
      </td>
      <td rowspan="6" colspan="1">&#160;</td>
    </tr>

    <tr>
      <td width="99%" colspan="2" height="120" valign="top" rowspan="1">
        <p>
          <font size="2">
            <outout:value-of select='$recText' disable-output-escaping="yes"/>
          </font>
        </p>
        <p>
          <font size="2">
            <outout:value-of select='$recTextMore'/>
          </font>
        </p>
      </td>
    </tr>
    <tr>
      <td width="99%" rowspan="1" colspan="2"><img src="../imgs/transDot.gif" alt="" height="15"/></td>
    </tr>
    <tr>
      <td width="99%" colspan="2" rowspan="1">
        <outout:if test='$recType=$DBM_CONFIG_TYPE or $recType=$DB_CONFIG_TYPE'>
          <table width="100%" border="0" cellspacing="1" cellpadding="0">

            <tr bgcolor="#CCDDEE">
              <td rowspan="1" colspan="1" width="50%">
                <font size="2" color="#000000">
                  <outout:value-of select='$CURRENT_VALUE_HEADER'/>
                </font>
              </td>
              <td rowspan="1" colspan="1" width="50%">
                <font size="2" color="#000000"><outout:value-of select='$currentValue'/></font>
              </td>
            </tr>

            <tr bgcolor="#CCDDEE">
              <td rowspan="1" colspan="1" width="50%">
                <font size="2" color="#000000">
                  <outout:value-of select='$RECOMMENDED_VALUE_HEADER'/>
                </font>
              </td>
              <td rowspan="1" colspan="1" width="50%">
                <font size="2" color="#000000">
                  <outout:value-of select='$recommendedValue'/>
                </font>
              </td>
            </tr>

            <outout:if test='$resultState!=$NOT_APPLICABLE'>
              <tr bgcolor="#CCDDEE">
                <td rowspan="1" colspan="1" width="50%">
                  <font size="2" color="#000000">
                    <outout:value-of select='$RESULT_STATE_HEADER'/>
                  </font>
                </td>
                <td rowspan="1" colspan="1" width="50%">
                  <font size="2" color="#000000">
                    <outout:value-of select='$resultState'/>
                  </font>
                </td>
              </tr>
            </outout:if>
          </table>
        </outout:if>
      </td>
    </tr>

    <tr>
      <td width="99%" colspan="2" rowspan="1">
        <br id="clear"/>
        <p>
          <b>
            <div align="center">
              <outout:choose>
                <outout:when test='$recType=$DBM_CONFIG_TYPE or $recType=$DB_CONFIG_TYPE'>
                  <a>
                    <outout:call-template name='queryString'>
                      <outout:with-param name='event'>
                        <outout:value-of select='$runScript'/>
                      </outout:with-param>
                      <outout:with-param name='data'>
                        <outout:value-of select='$config_command'/>
                      </outout:with-param>
                      <outout:with-param name='addInfo'>
                        <outout:value-of select="concat('&amp;', $via_param, '=', $cc_prefix)"/>
                      </outout:with-param>
                    </outout:call-template>
                    <font size="2" color="#000000">
                      <outout:value-of select='$config_message'/>
                    </font>
                  </a>
                </outout:when>
                <outout:otherwise>
                  <font size="2" color="#000000">
                    <outout:value-of select='$tool_message'/>
                  </font>
                </outout:otherwise>
              </outout:choose>
            </div>
          </b>
        </p>
        <br id="clear" />
      </td>
    </tr>

    <tr>
      <td height="25" valign="middle" rowspan="1" colspan="1">
        <outout:if test='not($currRecNum=1)'>
          <b>
            <a>
              <outout:call-template name='queryString'>
                <outout:with-param name='event'>
                  <outout:value-of select='$get_rec_event'/>
                </outout:with-param>
                <outout:with-param name='data'>
                  <outout:value-of select='$currRecNum - 1'/>
                </outout:with-param >
              </outout:call-template>
              <font color="#000000" size="2">&lt;&lt; <outout:value-of select='$HCWA_DESK_SPEC_REC_PREV_REC'/></font>
            </a>
          </b>
        </outout:if>
      </td>
      <td align="right" height="25" rowspan="1" colspan="1">
        <outout:if test='not($currRecNum=$numRecs)'>
          <b>
            <a>
              <outout:call-template name='queryString'>
                <outout:with-param name='event'>
                  <outout:value-of select='$get_rec_event'/>
                </outout:with-param>
                <outout:with-param name='data'>
                  <outout:value-of select='$currRecNum + 1'/>
                </outout:with-param >
              </outout:call-template>
              <font color="#000000" size="2">
                <outout:value-of select='$HCWA_DESK_SPEC_REC_NEXT_REC'/> &gt;&gt;</font>
            </a>
          </b>
        </outout:if>
      </td>
    </tr>

  </outout:when>
  <outout:otherwise>
    <tr>
      <td rowspan="6" colspan="1">&#160;</td>
      <td width="99%" colspan="2" height="30" valign="middle" rowspan="1">
        <font size="2">
          <outout:value-of select='$NOT_APPLICABLE'/>
        </font>
      </td>
      <td rowspan="6" colspan="1">&#160;</td>
    </tr>
  </outout:otherwise>
</outout:choose>


</table>
</td>
<td bgcolor="#006699" rowspan="1" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="3"/>
</td>
</tr>

<tr>
<td width="47%" height="4" bgcolor="#006699"><img src="../imgs/transDot.gif" alt="" width="430" height="4"/></td>
<td width="47%" height="4" bgcolor="#006699" colspan="3"><img src="../imgs/transDot.gif" alt="" width="430" height="4"/></td>
<td bgcolor="#006699" height="4" width="4" rowspan="1" colspan="1"><img src="../imgs/transDot.gif" alt="" width="4" height="4"/></td>
</tr>
</table>
</td>
<td><img src="../imgs/transDot.gif" alt="" width="15"/></td>
</tr>
</table>
</body>
</outout:template>

<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to the query string.</desc>
  <param>
    <name>addInfo</name>
    <desc>Any additional parameters to be included in the query string. eg, &moreinfo=this&evenmore=that</desc>
  </param>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
  <param>
    <name>data</name>
    <desc>The string substituted after the data parameter string. Follows the same rules as the event parameter, but can be left blank.</desc>
  </param>
</comment>
-->
<outout:template name='queryString'>
  <outout:param name='addInfo'/>
  <outout:param name='event'/>
  <outout:param name='data'/>

  <outout:attribute name='href'>
  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
  </outout:attribute>
</outout:template>

<!--
<comment class='template'>
  <desc>Fills in the Recommendation # links. Ie -> ( 1 | 2 | 3 ).</desc>
  <param>
    <name>currPos</name>
    <desc>The current index being rendered.</desc>
  </param>
</comment>
-->
<outout:template name='navLinks'>
   <outout:param name='currPos'/>
   <outout:choose>
   <!-- If the current index is the index of the rec being displayed, it should be in bold. -->
      <outout:when test="$currPos=$currRecNum">
         <b>
            <outout:value-of select='$currPos'/>
         </b>
      </outout:when>
      <outout:otherwise>
      <!-- otherwise, it should be a link to display the recommendation at the current index -->
         <a>
            <outout:call-template name='queryString'>
              <outout:with-param name='event'><outout:value-of select='$get_rec_event'/></outout:with-param>
              <outout:with-param name='data'><outout:value-of select='$currPos'/></outout:with-param >
            </outout:call-template>
            <outout:value-of select='$currPos'/>
         </a>
      </outout:otherwise>
   </outout:choose>
   <!-- If we aren't at the last rec, make a recursive call with the next rec index -->
   <outout:if test="not($currPos=$numRecs)">|
   <outout:call-template name='navLinks'>
         <outout:with-param name='currPos'>
            <outout:value-of select='number($currPos)+1'/>
         </outout:with-param>
       </outout:call-template>
   </outout:if>
</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

<outout:template match="root/dresult">
  <outout:for-each select="tr">
    <tr bgcolor="#FFFFFF">
    <!--
    <outout:value-of select="."/>
    -->
      <outout:for-each select="td">
        <td rowspan="1" colspan="1" width="25%">
          <font size="2" color="#000000">
            <outout:value-of select='.'/>
          </font>
        </td>
      </outout:for-each>
    </tr>
  </outout:for-each>
  
</outout:template>

</outout:stylesheet>

