<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = PDA Web Health Center Home screen
 *
 *  Function: This file renders the Home screen for the PDA version of Web Health Center.
 *
 *  Dependencies:
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  =============================================================================
 *  01/11/06 Initial Version                                          @
 *  02/03/11 Fix: Home screen DB2 Web Tools link does not work        @d218892jal
 *  02/03/22 Replace A circumflex (and following space) with &#160;   @d222486jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/03/25 Link up Signoff screen                                   @d222195jal
 *  02/03/27 Link up System Details and Instance Details screens      @d221907jal
 *  02/04/07 Support Help                                             @d222196jal
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
<!--
<comment class='stylesheet'>
  <desc>Renders the Home screen on the PDA</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>user</name>
    <desc>The current User ID.</desc>
  </param>
  <param>
    <name>system</name>
    <desc>The current system.</desc>
  </param>
  <param>
    <name>instance</name>
    <desc>The current instance.</desc>
  </param>
  <param>
    <name>choose_exist_input</name>
    <desc>Data parameter indicating a request for the Choose Existing Connections screen.</desc>
  </param>
  <param>
    <name>choose_conn_input</name>
    <desc>Data parameter indicating a request for the Choose Instance screen.</desc>
  </param>
  <param>
    <name>all_curr_input</name>
    <desc>Data parameter indicating a request for the All Current Alerts screen.</desc>
  </param>
  <param>
    <name>fw_prefix</name>
    <desc>Prefix of the framework router, needed to route calls to framework services</desc>
  </param>
  <param>
    <name>dest</name>
    <desc>Query string event parameter denoting a request to move into another state</desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" indent="no" omit-xml-declaration="yes"/>

<outout:param name="breadcrumbs" />
<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='HCWA_PDA_HOME_USER_LABEL'/>
<outout:param name='HCWA_PDA_HOME_SYSTEM_LABEL'/>
<outout:param name='HCWA_PDA_HOME_INSTANCE_LABEL'/>
<outout:param name='HCWA_PDA_HOME_VIEW_CURRENT'/>
<outout:param name='HCWA_PDA_HOME_WEBTOOLS'/>
<outout:param name='HCWA_PDA_HOME_CHOOSE_EXISTING'/>
<outout:param name='HCWA_PDA_HOME_SIGNOFF'/>
<outout:param name='HCWA_PDA_HOME_HELP'/>
<outout:param name='HCWA_PDA_HOME_CHANGE'/>

<outout:param name='user'/>
<outout:param name='system'/>
<outout:param name='instance'/>

<outout:param name='choose_exist_input'/>
<outout:param name='choose_conn_input'/>
<outout:param name='all_curr_input'/>
<outout:param name='fw_prefix'/>
<outout:param name='dest'/>

<outout:param name="via_param" />
<outout:param name="signoff" />
<outout:param name="help_event_value" />
<outout:param name="system_details" />
<outout:param name="instance_details" />

<outout:template match="/">
<body>

<outout:call-template name="form_bctrail" >
<outout:with-param name="string">
<outout:value-of select="$breadcrumbs" />
</outout:with-param>
</outout:call-template>

<hr/>

<outout:value-of select='$HCWA_PDA_HOME_USER_LABEL'/>:&#160;<outout:value-of select='$user'/>
<br clear="none"/>

<outout:value-of select='$HCWA_PDA_HOME_SYSTEM_LABEL'/>:&#160;
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$system_details'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$system'/></outout:with-param>
  <outout:with-param name='addInfo'><outout:value-of select="concat('&amp;', $via_param, '=', $fw_prefix)"/></outout:with-param>
</outout:call-template>
  <outout:value-of select='$system'/>
</a>
[
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'>changeSystem</outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$choose_conn_input'/></outout:with-param >
</outout:call-template>
   <outout:value-of select='$HCWA_PDA_HOME_CHANGE'/>
</a>
 ]
<br clear="none"/>

<outout:value-of select='$HCWA_PDA_HOME_INSTANCE_LABEL'/>:&#160;
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$instance_details'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$instance'/></outout:with-param>
  <outout:with-param name='addInfo'><outout:value-of select="concat('&amp;', $via_param, '=', $fw_prefix)"/></outout:with-param>
</outout:call-template>
  <outout:value-of select='$instance'/>
</a>
[
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'>changeInstance</outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$choose_conn_input'/></outout:with-param >
</outout:call-template>
   <outout:value-of select='$HCWA_PDA_HOME_CHANGE'/>
</a>
 ]

<hr/>
<p>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'>dest</outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$all_curr_input'/></outout:with-param >
</outout:call-template>
<outout:value-of select='$HCWA_PDA_HOME_VIEW_CURRENT'/>
</a>
</p>
<hr />
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'>dest</outout:with-param>
  <outout:with-param name='data'>selectApp</outout:with-param >
</outout:call-template>
<outout:value-of select='$HCWA_PDA_HOME_WEBTOOLS'/>
</a>
<br clear="none"/>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'>dest</outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$choose_exist_input'/></outout:with-param >
</outout:call-template>
<outout:value-of select='$HCWA_PDA_HOME_CHOOSE_EXISTING'/>
</a>
<br clear="none"/>

<a>
<outout:call-template name="signoffLinkString">
  <outout:with-param name="tk_prefix">
    <outout:value-of select="'fw_'" />
  </outout:with-param>
  <outout:with-param name="event">
    <outout:value-of select="$signoff" />
  </outout:with-param>
</outout:call-template>
<outout:value-of select="$HCWA_PDA_HOME_SIGNOFF" />
</a>

<br clear="none" />

<a>
  <outout:call-template name='helpLinkString'>
    <outout:with-param name='event'>
      <outout:value-of select="$help_event_value" />
    </outout:with-param>
  </outout:call-template>
  <outout:value-of select='$HCWA_PDA_HOME_HELP'/>
</a>
</body>
</outout:template>

<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to the query string.</desc>
  <param>
    <name>addInfo</name>
    <desc>Any additional parameters to be included in the query string. eg, &moreinfo=this&evenmore=that</desc>
  </param>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
  <param>
    <name>data</name>
    <desc>The string substituted after the data parameter string. Follows the same rules as the event parameter, but can be left blank.</desc>
  </param>
</comment>
-->
<outout:template name='queryString'>
   <outout:param name="addInfo"/>
   <outout:param name='event'/>
   <outout:param name='data'/>
   <outout:attribute name="href">
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
   </outout:attribute>
</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

	<outout:template name='signoffLinkString'>
	  <outout:param name='tk_prefix'/>
	  <outout:param name='event' />

	  <outout:attribute name='href'>
	  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $via_param, '=', $tk_prefix)"/>
	  </outout:attribute>
	</outout:template>

	<outout:template name='helpLinkString'>
    <outout:param name="event" />

    <outout:attribute name='href'>
    <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:attribute>
	</outout:template>

</outout:stylesheet>
