<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = Current Alerts List, Desktop/Laptop
 *
 *  Function: This file will render the Current Alerts List screen for the
 *            non-PDA version of the Health Center Thin Client.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  ===========================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
<!--
<comment class='stylesheet'>
  <desc>Renders the Alert Not Active screen on the PDA</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>dest_param</name>
    <desc>Query string event denoting a request to move into another state.</desc>
  </param>
  <param>
    <name>curr_alerts_param</name>
    <desc>Query string data param denoting the current alerts list state.<desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" indent="no" omit-xml-declaration="yes"/>

<outout:param name="breadcrumbs" />
<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='dest_param'/>
<outout:param name='curr_alerts_param'/>

<outout:param name='NOT_ACTIVE'/>
<outout:param name='VIEW_ACTIVE'/>

<outout:template match="/">
<body>

<outout:call-template name="form_bctrail" >
<outout:with-param name="string">
<outout:value-of select="$breadcrumbs" />
</outout:with-param>
</outout:call-template>

<hr/>
<p><outout:value-of select='$NOT_ACTIVE'/></p>

<p>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$dest_param'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$curr_alerts_param'/></outout:with-param >
</outout:call-template>
<outout:value-of select='$VIEW_ACTIVE'/>
</a>
</p>
</body>
</outout:template>

<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to the query string.</desc>
  <param>
    <name>addInfo</name>
    <desc>Any additional parameters to be included in the query string. eg, &moreinfo=this&evenmore=that</desc>
  </param>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
  <param>
    <name>data</name>
    <desc>The string substituted after the data parameter string. Follows the same rules as the event parameter, but can be left blank.</desc>
  </param>
</comment>
-->
<outout:template name='queryString'>
   <outout:param name="addInfo"/>
   <outout:param name='event'/>
   <outout:param name='data'/>
   <outout:attribute name="href">
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
   </outout:attribute>
</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>
